PIMphony Help

The Online Help is divided into 5 sections:

Presentation of the application: Introduces the product and its main functions.

First steps with the application: Your guide to first using the application.

Application configuration: Teaches you how to configure the application.

Using the application: Describes each of the application modules.

Installation Manual: Describes the technical and operational specifications to install the PIMphony software.

Different View modes are available in the application:

Phone Bar Window

Phone Window

Assistant Window

Different windows can be displayed via the File / Open menu:

Personal List

Call Log

Voice Mail

Supervision

Statistics (in Assistant Window only)

As soon as you have opened the application, the Dialler icon is shown in the Windows notification area (Windows system tray). This icon enables you to display the application and keeps you informed about any activity.

In case of Unavailable Network, the corresponding icon: appears in the Windows notification area (Windows system tray).
A disconnected or faulty LAN cable, a configuration problem (the interface was disabled while working) or a TCP connection loss can create such a situation.
The connection will try to resume. You can also right-click the icon and select Connect.

Miscellaneous: Includes a glossary, instructions in the event of technical problems, etc.

See also

Installation Manual


Presentation of the application

The PIMphony application is a personal productivity tool installed on an office PC which enables you to manage all your telephone calls in a user-friendly way.

It is easily configured using a Wizard.
Application configuration

Main functions

The main functions of this application are:

Management of telephone calls (holding, transfer, conference, etc.).

Synchronisation with an associated contacts database, for example a contacts manager (PIM: Personal Information Manager).

Automatic retrieval and display of records from the associated contacts database. This automatic retrieval and display, also known as "Popup", is carried out according to predefined criteria or on request.

Popup can be personalised; it is configured using a Wizard.

Search using a telephone number in the PIM database to identify the corresponding name, and vice-versa.

Storage of calls and management of the Call log.

Message recording, management and re-directing using Voice Mail.

Supervision and distribution of calls.

PIMphony central services. (centralized call log: your call log is working even when PIMphony is off)

Association of a contacts manager

It is possible to associate a contacts manager (Personal Information Management: PIM) with the application.

To do this, you must be connected to a PCX of type ALE International OmniPCX Office Communication Server, and have a contacts manager (PIM) installed on your PC.

The application provides the interface between your telephone system and your PIM.

The PIMs which can be associated with the application are:

MS Outlook

MS Access

Goldmine

Act!

IBM Lotus Notes

For more information concerning the supported version for each PIM, see the readme file"

A personal directory is supplied with the application. It works independently of the PIM.

See also

PIMphony Help


Application usage modes

The application can be used in either of these two modes:

Standard telephony mode: your PIMphony

IP mode: your PIMphony is on a multimedia PC connected to the data network (LAN or WAN), equipped with a sound card, a microphone and speakers.

Two connection addresses to the PCX can be defined:

One for a local connection through the LAN

One for a distant connection through the WAN

In this way, a person can for example work alternatively at his office or at home. PIMphony automatically uses the address answering first, i.e. the WAN address, when the user is at home, or the LAN address when at his office.

Due to linguistic misuse, the term "telephone set" is used in the same way for a standard telephone installation and for an IP mode configuration.

See also

Presentation of the application


Features and profiles

This application is supplied with 4 different profiles:

PIMphony Basic,

PIMphony Pro,

PIMphony Team: Starts in the Phone Window . Switching to Assistant window is possible.

PIMphony Operator (profile available as of PIMphony 6.00 with OmniPCX Office R5.00 or OXO Connect R2.0): Starts in Assistant Window . The Operator has specific rights.

Assistant is a display mode.

For OmniPCX Office (up to 10.3), there is one specific license for each profile (Pro, Team and Operator) that must be present in the PCX.

For OXO Connect (as of R2.0), there is one license for both Pro and Team profiles and one specific license for Operator profile that must be present in the PCX.

The Basic profile does not require any license. This profile is always available.

ALE International compliant handsets and headsets are listed in the Readme.txt file.

The table below shows the features of each profile:

Feature | Basic | Pro | Team | Operator
Basic features |
Telephone features (See table below for details) | . | . | . | .
Startup with telephone and password | . | . | . | .
Directories |
Dial using personal directory | . | . | . | .
Dial using PCX directory |  | . | . | .
Dial using LDAP directory |  | . | . | .
Dial using Unified Search |  | . | . | .
Centralized phonebook (multi-site) |  | . | . | .
Centralized phonebook synchronization and update |  |  |  | .
PIM |  |  |  |
Interface (Popup) with PIM (Outlook, Access, Goldmine, ACT! and Lotus Notes) |  | . | . | .
Voice mail |
Direct transfer to Voice mail | . | . | . | .
Voice mail |  | . | . | .
Other features |
Display of group name (ACD) | . | . | . | .
Program text forwarding |  | . | . | .
Call log | . | . | . | .
Nomadic mode | . | . | . | .
Conversation record |  | . | . | .
Assistant window |  |  | . | .
Popup contact card in assistant window |  |  | . | .
Supervision |  |  | . | .
Multi-site Supervision |  |  |  | .
Operator console |  |  | .(1) | .
Online Update |  |  | . | .

(1) Only in read-only

The available telephone features are summarized in the following table:

Feature | Description
Type of call | External, internal
Basic functions | Call, answer, hang up Put on hold, resume call Enquiry call Conference (1) DTMF overdialling (1)
Call forwarding | Immediate forwarding Forward on busy Forward on no reply (with a time-out) Do not disturb
Call pick-ups | Individual pick-up (2) Group pick-up (2)
Transfers | Supervised transfer Unsupervised transfer
Others | Intrusion Deflection (1) Callback request (1) Re-routing (display) Multiple redial (3) Service code not during conversation

(1) Not supported in Assistant window.

(2) Not available in Assistant window (but it is possible to use service codes).

(3) Limited to 10 numbers.

Unsupported features

The following features are not supported:

Voice mailbox configuration

SIP Phones cannot be associated with PIMphony, however SIP phones can be associated to TSP

Programming of call forwarding to personal assistant

Service code during conversation

These features can be accessed from a physical phone set, apart from PIMphony IP.

Any further system features are not supported.

See also

Presentation of the application


Display modes

Different display modes are available in this application:

Phone Bar Window

Phone Window

Assistant Window (available in Team and Operator profiles)

The Phone Bar Window can be used to replace the main window of the Phone Window to save space on the screen.

Assistant Window uses the telephony functions from the Phone window except for vocal frequencies, deflect call, automatic callback and initialize a conference.

Assistant Window also has a Statistics tool (a tool which helps with distributing telephone calls).

See also

Presentation of the Phone Bar

Presentation of the Phone Window

Assistant Window


Colour guidelines for all icons

In PIMphony, each colour has a particular meaning.

COLOUR | MEANING | EXAMPLE
Grey | Disconnected / Task not possible |
Grey and + | Add |
Grey and x | Remove/Cancel |
Green | Outgoing task / Free |
Orange | Ingoing task |
Blue | In conversation |
Red | Hang-up |
Yellow | Forward |


First steps with the application

If you are just starting to use the application, then this section is for you:

It describes the operations required the first time the application is run.

In the form of a short tutorial, it gives examples of the implementation of the main functions. This guides you through the early phases of learning and also provides a check that the installation is correct.

It introduces the functions available from the Start menu.

See also

Presentation of the application


Run the application for the first time

When you run the application for the first time, you will:

Start the application.

Synchronise the application with the PIM.

Configure the Popup module using the Wizard.

Display the Phone Window and the Dialler mode.

We recommend that you practise the simple operations described in the Tutorial, to get to know the application and check that the main functions are available.

Starting the application

Procedure

You can start the application:

From the PIMphony icon, on the office PC.

From the Windows taskbar: click on Start, then select PIMphony in the All Programs/PIMphony menu.

The system asks you to enter your password (when connected to a PCX of an old version), or the extension number of your telephone and password (when connected to a PCX of a newer version).

As of OmniPCX Office R8.2 or OXO Connect R2.0, password length can be 4 or 6 digit-long.

When the application is first started, the Configuration Wizard screen is displayed.

Follow the Wizard instructions. When the Wizard is completed, click Finish. The PIMphony application starts with the parameters you previously set up.

Online registration

When the application is run for the first time, a user registration window is displayed. Registration allows you to be kept informed about application updates, as well as the availability of other products. Registration is optional and failure to register does not prevent you from using the application.

You can also register by selecting the Register option in the PIMphony Help menu.

Online updates

If the online update feature has been enabled (see Configure the Online Update options), an information window is displayed when a new version of the software is available on the server. When an update is performed, a progress bar is displayed.

Synchronising the application with the PIM

The first time the Telephone module is run, the application is synchronised with the PIM contacts base (if used with Outlook). This operation can take several minutes.

Configuring Popup using the Wizard

The Popup Wizard lets you configure the automatic operation of the Popup according to predefined profiles.

Follow the instructions on the screen and, from the predefined profiles, select the configuration which corresponds to your requirements.

Displaying Phone and Dialler

The Phone Window is displayed.

The Dialler icon is displayed in the Windows notification area (Windows system tray), indicating that the PC-Telephone connection is active.

See also

First steps with the application

Logging in to the application

Configure the Online Update options


PIMphony Configuration Wizard

You can configure the application by means of the Configuration Wizard. To do so, see the Configuration Procedure

See also

Features and profiles


Enter Password

Central Services Login

The password has the following characteristics:

It corresponds to the password of the telephone in the system.

It consists of 4 or 6 digits.

The telephone and voice mail passwords are the same. If the password is remembered, it will not be requested when Voice Mail starts up.

Login

When you start the application, the system displays the Login window which allows you to enter your password.

  1. Check that the field Phone Number is correctly filled.

  2. Fill in the field Password.

If you do not have this information, contact your administrator.

As of OmniPCX Office R8.2 or OXO Connect R2.0, password length can be 4 or 6 digit-long.

  3. Check or uncheck the Remember password box.

Box checked: The system will not ask you for your password each time you log in to the application. The password entry screen is not displayed.

Box unchecked: You have to enter your password again the next time you log in to the application.

  4. Click OK to start the application or Cancel to abandon start-up.

See also

Run the application for the first time

Change password


Functions accessible from the Start menu

Functions available from the Start menu

Click the Windows Start menu, All Programs, PIMphony to access the following menus:

PIMphony Help : Opens the online help.

PIMphony: Launches the application. The application can also be launched by the corresponding desktop icon.

PIMphony Configuration Wizard: Launches the wizard to configure or re-configure PIMphony.

PIMphony Online Update: Updates the PIMphonysoftware.

PIMphony Uninstallation: Uninstalls the application.

Read Me: Provides information about PIMphony.

See also

First steps with the application


PIMphony Tutorial

The tutorial guides you through your initial contact with the PIMphony application. It enables you to check that the installation is carried out correctly and that all the main functions are available.

Four simple operations are covered:

  1. Making a call using the Phone Window

  2. Making a call using the Dialler module

  3. Making a call using short dial

  4. Automatic Popup of a PIM record during an incoming call

  5. Team in Assistant Window

See also

First steps with the application


Making a call using the Telephone

Making a call using the Phone Window

Procedure

  1. Go to the Phone Window.

  2. Using the keyboard, enter the number or name of the person required, in the entry window.

When the first few letters have been entered, the name is completed from the PIM contact list or - if you do not have a contact manager - from the one in the personal directory.

Only 6 telephone numbers are made available for one given contact.

  3. Select the desired number.

  4. Click on [image] . The call is made.

You can lift your receiver and speak to the person called.

The call status and management window is as shown below.

indicates that the only action available is to Drop the call.

When the call is answered and during the conversation, the call status and management window is as shown below.

indicates that the call has been connected.

Possible actions are indicated by the following icons:

Drop call

Put on hold

Record . Indicates you can start recording the conversation provided the recording rights are set

Record conversation is only available if your PCX has this feature and your administrator has assigned to you the right to use it

See also

PIMphony Tutorial

Phone window


Making a call using the Dialler module

Procedure

  1. Go to the Dialler module.

  2. Check that the PIMphony Dialler is connected. The icon should look like this: .

  3. Right-click the Dialler icon. The context menu is displayed.

  4. In the context menu, click on Dial. The New Call window opens.

  5. Enter the phone number you want to call:

Either directly

Or by copy-pasting the number

Or by dragging and dropping the number.

  6. Modify the number if necessary.

  7. Click on [image] and the number is dialled.

If the option "Maximize Window on Call Activity" was selected in the Configuration of PIMphony, the Telephone window appears, if it was previously closed.

The call status and management window then indicates the call status, and gives you the name of the person called and the actions available.

See also

PIMphony Tutorial

The Dialler module


Making a call using short dial

Procedure

  1. Check that the PIMphony Dialler is connected. The icon should look like this: .

  2. In a third party application window (for example an Internet browser window), select the number to call.

  3. Press the combination of keys defined for short dial in your General Options (Shift Key + Right mouse button, Ctrl Key + Right mouse button or Ctrl Key + Shift key + Right mouse button).

    The New Call window opens and incorporates the number previously selected.

  4. Modify the number if necessary.

  5. Click [image].

    The number is dialled.

When using Internet Explorer 9, if the Enabled Protected Mode option is enabled (Internet options > Security), you must do one of the following to use short dial:

Declare as trusted sites the web sites from which you wish to use short dial.

After selecting a number, press the short dial combination of keys outside of the web page (for example in the Tab bar/Favorites bar/URL Textbox area).

See also

PIMphony Tutorial

The Dialler module

Configure the General Options


Popping up a record

This action enables you to check the operation of the Popup that you just configured, during the installation.

In the example below, we shall consider that the Popup is configured to show an entry for the first incoming call.

  1. Ask a colleague for whom you have an entry in your PIM to call you.

  2. Check that his entry appears on the screen, in the conditions you defined.

See also

Tutorial

Configure Popup


PIMphony Team in Assistant mode

Assistant Window

The following incoming call scenario will show you the advantages of the Assistant Window. This mode is available in Team and Operator profiles.

The Assistant Window enables a large number of incoming calls to be managed while optimizing and improving caller reception by means of a user-friendly interface.

The scenario described shows functioning with Unsupervised transfer configured under the Assistant configuration tab.

When a call reaches your phone set, thanks to caller identification (if supplied by the network), the name (if the caller is entered in your PIM) or the caller number is displayed in the Calls window.

After replying, you can transfer the caller to:

A person already requested by the caller during a previous call

A favourite colleague

A person in the phone system

You may also consult in the Calls window all calls which are directed to your telephone and define the alarm thresholds for queuing calls. Display all calls

See also

Fist steps with the application

Tutorial


Transfer caller to a person already requested by the caller

If the caller has already called at least once, the Favorites tab of the Information area shows the last persons to whom he was re-directed. These persons may be sorted by date or by number of transfers.

To transfer the call to a person already requested by the caller, double click the name of the person requested in the Favorites tab.

You can view the status of the phone set of the person requested from:

One of the tabs in the PIMphony supervision window.

The Dialling area after clicking on the name of the person requested in the Favorites tab.

The Favorites tab.

The information given in the Dialling area shows the complete status of the person requested:

His telephony status (Forwarded);

The main phone set status ("Business") which is in text forward mode with the message "ABSENT FOR THE DAY";

The telephone engaged status of his assistant *;

His mobile number *;

As well as other numbers (DECT, Pager, …), his department, his e-mail *.

* This information is only displayed if previously entered in the person record.

See also

Team in Assistant Window


Transfer caller to a colleague in 'favorites'

Transfer caller to a colleague in "Favorites"

Procedure

  1. Access Assistant Window.

  2. In the Information area, click on the Persons tab.

This tab shows all persons belonging to the same supervision view as the person selected in the Favorites tab.

  3. To see the status of a colleague, click on the line for the colleague concerned.

  4. To transfer the caller to a selected colleague, double click the colleague.

You must have used at least once the favorites for the caller in order to use the "colleagues of favorite" feature. Colleagues are members of the same group. To configure groups, see the help on Supervision.

See also

Team in Assistant Window

Supervision


Transfer the caller to a person in the phone system

The PIMphony supervision shows the supervision views you have defined. A view may represent, for example, a division, a department or a group of persons.

The supervision view selected enables you to consult the telephony status of the persons it includes.

Procedure

  1. Go to the supervision window.

  2. Click on one of the existing tabs.

  3. To transfer the caller to any person listed under this tab, click on the person's name or telephone number.

See also

Team in Assistant Window


Display all calls

Procedure

  1. Access Assistant Window.

  2. The Calls area displays all the waiting calls and enables you to define alarms (waiting time in seconds).

You may answer a waiting call at any time.

See also

ALE International PIMphony Scenario_team_mode_assistant.html"> Team in Assistant Window


Application configuration

Access

To access application configuration, proceed as follows:

From the Phone or Assistant Window:

Click the Tools menu and select Options...

Each of the above methods opens the main configuration window. This window has several tabs.

See also

Presentation of the application

Presentation of the main configuration window


Presentation of the main configuration window

The main Configuration window is made up of the following tabs:

General

This tab is used to configure general options, the function of the right button on the mouse, short dial and language choice.

View

This tab is used to configure the Telephone module, Phone bar and visual settings.

Popup

This tab configures the PIM drivers and the Popup.

Online Update

This tab is used to configure online updates of the PIMphony software.

Telephony

This tab configures the location and dialling options.

Voice Mail

This tab is used to configure access to voice mail options.

Services

This tab is used to configure dialling by name from the application using LDAP (not available in PIMphony Basic mode).

Assistant

This tab configures the function options for statistics, call activation, transfer and favorites.

Person

This tab configures personalization of the phone number label..

VoIP

This tab is used to configure PIMphony IP.

Global

This tab is reserved to the PIMphony Operator profile. It is grayed for all the other profiles.
This tab is used to synchronize the PCX date and time and directory.

See also

Application configuration


Configure General Options

Configure the General options

You can configure the general options for the application from the General tab of the Configuration window.

Procedure

  1. Go to the configuration window.

  2. Click on the General tab.

The tab is made up of a drop down list and the following areas:

General Options

Default Choice of Dialler Contextual Menu

For short dial, press

  3. In the General Options area, check or uncheck the following boxes:

Always confirm before delete all Logs (checked by default)

In the call journal, a confirmation message will be shown each time the "Delete All" icon is pressed.

Delete Call Board Entry on successful Recall

Each caller trying to call you unsuccessfully is displayed in the Call Board area. Calling these numbers erases them from this area.

Show non answered Calls in Dialler Tooltip (active by default)

When you mouse-over the dialler, a tooltip pops up with the number of unanswered calls received. The details relating to these calls are shown in the unanswered calls area. However, if no calls are entered, the tooltip gives the extension number concerned. The Dialler icon changes state (no message, message, etc.).

Show PIMphony Icon on the Taskbar

The Configure application services icon is displayed in the task bar.

Launch PIMphony on startup

The application is launched automatically when the PC is started

Minimized

Check this box if you want the application window not to be displayed at PC startup.

  4. In the Default Choice of Dialler Contextual Menu area, select the desired context menu:

Dial

Select this option if you want the New Call window to appear when you left-click the Dialler icon.

Maximize the phone window

Select this option if you want the Phone Window to appear when you left-click the Dialler icon.

  5. In the For short dial, press, select the mode you want to enable:

Shift Key + Right mouse button

After selecting a telephone number, pressing the Shift key + the Right mouse button activates the Dialler module and incorporates the number previously selected.

Ctrl Key + Right mouse button

After selecting a telephone number, pressing the Ctrl key + the Right mouse button activates the Dialler module and incorporates the number previously selected.

Ctrl Key + Shift key + Right mouse button

After selecting a telephone number, pressing the Ctrl + Shift keys + the Right mouse button activates the Dialler module and incorporates the number previously selected.

  6. Select a language in the drop-down list in the lower part of the window.

The drop-down list enables you to select a language.

Restart the application to implement your language selection.

  7. Click on Apply to validate your choices, OK to confirm your choices or Cancel if you do not want the changes to take effect.

See also

Presentation of the main configuration window

Application configuration


Configure the Phone window

Configure the View options

You can configure the View options from the view tab in the Configuration window.

Procedure

  1. Go to the C onfiguration window.

  2. Click the View tab.

The tab is made up of the following areas:

Visual Settings

Phone Bar

  3. In the Visual Settings area, check or uncheck the following boxes:

Small Call Status Icons

In the phone bar, the icons may be displayed in 2 formats: "Large" by default, and "Small" when this box is checked.

Maximize Window on Call Activity

You can de-activate the telephone module main window by clicking on [image] or the phone bar by clicking on [image]. In this case, this function activates the application when there is an incoming call. This also applies if the window is simply masked by another application.

Minimize PIMphony on Release of the last Call

This function closes the main application window at the end of the call. The main application window is then displayed as an icon.

  4. In the Phone bar area, check or uncheck the following boxes:

Auto Hide (checked by default)

When this function is checked, the Phone bar is masked when the application is no longer in use. To show the bar again, position the cursor at the top of the screen.

  5. Click on Apply to validate, OK to confirm or Cancel to cancel your choices.

See also

Presentation of the main configuration window

Application configuration

Phone Window


Configure the PIM popup

What is the PIM Popup?

The PIM Popup defines the interaction between the popup and the PIM you have selected.

You have to configure two things: the PIM and the Popup module.

The PIMs which can be associated with the application are:

MS Outlook 2000, XP, 2003, 2007, 2010 (32 and 64 bits edition), 2013 (32 and 64 bits edition), 2016 (32 bit and 64 bits edition)

MS Access 2000, XP, 2003, 2007, 2010 (32 bits edition), 2013 (32 bits edition), 2016 (32 bits edition)

Goldmine 5.7, 6.5, 6.7, 7.0, 7.5, 8.0, 8.5, 9.0, 9.2, 2016.1, 2017.1, 2018.1

Act! 6, 2006 (8.0), 2007 (9.0), 2008 (10.0), 2009 (11.0), 2010 (12.0), 2011 (13.0), 2012 (14.0), 2013 (15.0), 2014 (16.0), 2015 (17.2), 2017 (19), 2018 (20)

IBM Lotus Notes 5.02 to 6.5, 8.0, 8.5, 8.5.3, 9.0

See also

Configure the PIM

PIM popup

Configure Popup


Configure the PIM

You can configure the PIM driver and Popup from the Popup tab of the Configuration window.

Procedure

  1. Open the Popup tab.

The tab includes the following areas:

PIM Drivers

Popup

  2. Select the PIM used by the application from the drop-down list in the PIM Drivers area:

Outlook

ACT!

GoldMine

Access

Personal List: If you wish to use the application's address book.

Lotus Notes

None: If no PIM is used

Click on Apply. The status indicates if the PIM connection is successful or failed.

  3. Click on the Configure button. This button can be disabled if previous step failed or if no configuration is needed.

Different configuration parameters for different PIM's

Call the configuration window of the PIM selected in the drop-down list.

This window has the following options:

For MS Outlook:

Selection of a maximum of 16 contact folders.

For ACT!:

A login and password must be entered to identify the user.

For Goldmine:

A login and password must be entered to automatically start the PIM.

For Access: Configure MS Access

If the user wishes to use the data provided by Access, it must be installed.

For Lotus Notes:

A Domino server name or a local machine must be selected and a password entered

View the status of the link with the PIM selected (connected, connection impossible).

From the Popup area, you can:

Activate the Popup function by checking Enable Popup Actions.

Configure Popup actions using the Popup configuration window, by clicking on the Popup Configuration button.

  5. Click on Apply to validate, OK to confirm or Cancel to cancel your choices.

See also

Presentation of the main configuration window

Application configuration

Configure Popup


Configure Access

Configure MS Access

General rules

In an Access database, telephone numbers can be saved:

In canonical format: ++xx yyyyyy with only numeric characters or

In a format that can be dialed (i.e. including the outgoing prefix).

To use Access 2000 or higher, Access must obligatorily be installed on the PC.

Procedure

To configure Access, you must:

Create the contacts table under Access

Fill in the Access table

Configure the Access PIM

Configure actions

Create the contacts table under Access

Before using the application with Access, the Access data base must have been created with at least the name, first name and telephone number fields (obligatory string character format), and a key field in numerical format.

Fill in the Access table

The application does not make it possible to update the Access table automatically. The user must enter his contacts using Access, or configure the actions. Configure actions

Configure the Access PIM

Procedure

  1. Go to the Access Configuration window.

  2. In the configuration of the Access driver, select the Access file (.mdb) and enter its pathname.

  3. Then select the table containing all the data for the contacts.

  4. Indicate the fields corresponding to the first name, last name, key and select all those which contain the telephone numbers.

Configure actions

Actions correspond to the orders for opening, creating, closing a contact record for a telephone call, and for displaying a contact record while not on the phone (Contact button).

Actions are executable programs to which the application sends the parameters to be displayed (name, first name, telephone, key).

Actions are made up of:

An executable file: .Exe, .bat, .cmd,...

Contact parameters:

$1: Caller number (can be used only when creating a contact)

$2: Contact's first name

$3: Contact's last name

$4: Contact's key

These parameters are given to the program called via the command line.

Access

To configure these actions, click on Advanced... in the Access Configuration window. The Actions on contacts window opens.

Programs showcontact.exe, closecontact.exe, action_vc.exe et action_vb.exe are available on the CD-ROM under subdirectory ...\unsupported\access\action.

In this example, the 4 parameters (telephone, last name, first name, and identifying contact) are transmitted to the programs using variables $1, $2, $3 and $4.
Use of programs provided

The programs provided on the CD-ROM are only examples of applications. The end-user must create useable programs for executing the 4 possible actions. No program is provided to create a contact.

Use of the programs provided on the CD-ROM

Action_vb.exe:

Displays contact information in a dialog window. It is used to popup the record (to open a contact, to view a contact card).

The information displayed in the window come from the parameters in the command line:

$1 for the phone number

$2 for the first name

$3 for the last name

$4 for the key

Action_vc.exe:

Does the same as action_vb.exe. The same parameters must be passed in the command line.

Showcontact.exe:

Displays contact information by bringing up the Access record.

The program only works if the database contains a "Contacts" table (with ContactId as key) and a "Contacts" form (displaying the information from the "Contacts" table).

This program is used for bringing up the record (open a contact, display a contact). The information displayed comes from the command line:

c:\showcontact.exe "path_to_access" "database" $4

c:\showcontact.exe: Is the path for the showcontact.exe program.

"path_to_access": Is the complete path to the Access program (e.g.: "c:\prog\access.exe").

"database": Is the complete path to the database used (e.g.: "c:\access\myBase.mdb").

$4: Is the identifier (key) for the contact.

Closecontact.exe:

Closes the Access contact card.

The program only works if the database contains a "Contacts" table (with ContactId as key) and a "Contacts" form (displaying the information from the "Contacts" table).

This program is used for action "Close a contact". The information displayed comes from the command line:

c:\closecontact.exe "database"

c:\closecontact.exe: Is the path for the closecontact.exe program.

"database": Is the complete path to the database used (e.g.: "c:\access\myBase.mdb").

Example of use

For more information (examples, sources, executables, etc), refer to the directory ...\unsupported\Access on the installation CD-ROM. These functions should only be carried out by experienced users.

See also

Using the application


Configure Lotus Notes

Before configuring the Lotus Notes PIM driver, Lotus Notes must have been properly installed and configured.

You can configure the PIM driver through the PIMphony Configuration Program.

Procedure

  1. Open the Configuration window.

  2. Select the Popup tab.

  3. Select Lotus Notes in the PIM Drivers area and click Apply.

  4. Click on Configure.

  5. The Lotus Notes driver configuration box shows up.

  6. Specify the Domino server name or local machine, as well as the password if required

  7. The other fields remain inactive as long as the connection to the specified server is not possible.

After connection to the server, the configuration program retrieves the list of existing contact databases and displays them for the user to select the one to be used.

The user has also to select the fields used for the phone numbers among the existing phone fields (up to 4 are available with Lotus Notes driver).

The Journal configuration box allows to select the journal database file to be used if the action to execute on a call is to write the event in a journal. In other cases, this setting is not required.

The configuration of the actions to execute on an incoming or outgoing call is done using the Popup Configuration Wizard, like all other PIM's supported by PIMphony.

A Test button can be used to verify the link to Lotus Notes, a connection successful or error message is displayed on use of this button.


Configure Act!

In order to use PIMphony with Act! 2006 or higher, you must:

  1. Copy the "PIMPHONY.ActPlugin.dll" file located in the "plugins" directory of your PIMphony installation directory into the "plugins" directory of your Act! installation directory.

  2. Restart Act!

  3. Configure PIMphonyto use the Act! PIM driver.

If the "PIMPHONY.ActPlugin.dll" file is not copied, the communication between PIMphony and Act! is not possible.

Each time a new version of the plugin file is installed in the PIMphony "plugins" directory, you must:

  1. Copy the "PIMPHONY.ActPlugin.dll" file located in the "plugins" directory of your PIMphony installation directory into the "plugins" directory of your Act! installation directory.

  2. Restart Act!


Configure Popup

Procedure

  1. Open the Popup tab in the PIMphony Configuration main window.

  2. In the Popup window, click on P opup Configuration.

The Popup configuration window opens.

This window enables you to:

Configure Popup using the Wizard

Customize Popup configuration to suit your own requirements (vertical function buttons and tabs).

If you are relatively inexperienced, we recommend that you use the Wizard.

The Popup configuration wizard is opened by default when no action is configured.

See also

Configure the PIM


Configuring Popup using the Wizard

Popup configuration wizard

Procedure

  1. Run the Wizard by clicking on Popup Configuration... in the Popup area. The Popup configuration wizard window is displayed.
    Click on Next

  2. Select the Popup usage type from among the following choices:

Incoming and outgoing calls

Incoming (only)

Outgoing (only)

Incoming calls with caller identification (Tel. assistant)

Click on Next.

  3. Define the moment at which the caller's Popup entry is displayed (event) and the action to be performed in the event of a second call.
    Click on Next

  4. Select the event to close the Popup (at hang-up or after a latency period) or select not to close the contact.
    Click on Next.
    The Congratulations screen indicates that the Popup configuration was successful.

  5. Click Finish to confirm your choice.

  6. Click OK to close the Popup Configuration Wizard.

See also

Configure Popup


Customize Popup configuration

Procedure

  1. Go to the Popup configuration window.

The Popup configuration window shows, by default, a list of 6 actions:

Add a new action

Open a new action from disk

Edit properties

Delete the action

Open a new action list from disk

Save the current action list

  2. Select one or more actions in the list, by clicking on the corresponding icons.

  3. Use the ascending and the descending arrows to move the action above or below in the list.

  4. Click Wizard to display the Popup configuration wizard.

  5. Click OK to confirm the configuration.

If no predefined action suits your requirements, you can:

Create an action

Modify an action

Load a pre-programmed action file (*.saa)

See also

Configure Popup


Create an action

Procedure

  1. Go to the Popup configuration window.

  2. Click on [image]. The Action properties window is displayed. It contains the following tabs:

Events

Action

Filter

  3. Click on the Events tab.

  1. In the Name field, enter the name of the action, which will then appear in the list of actions (for example Send e-mail on unanswered call).

  2. From the On drop-down list, select the event which will trigger the action (First call, for example).

  3. In the When drop-down list, select the moment when the action is to be performed:

Phone is ringing

Remote phone is ringing

I pick up the call

Call is over

Call is on hold

There is no response

  4. To display a confirmation screen before carrying out an action, check the Confirm before activating box.

  4. Click the Action tab.

  1. In the Do drop down list, select the action to be performed, for example Send mail to.

It is possible to launch an external application by selecting Launch Application.
Configure launch of an external application

  2. In the Destination address field, enter the destination e-mail address.

  3. Check the Send mail without prompt box to select the feature of the send.

  4. Using the cursor, select Before action, the timed delay before the action is performed (from 0 to 60 seconds).

  5. If you selected Open contact in the Do drop down list, select the corresponding action in the Open contact drop down list

Only one action is performed per telephone operation. For example, it is not possible, for the "Phone is ringing" event, to carry out two actions simultaneously:
- Open contact
- Send mail to

  5. Click the Filter tab and select the features to filter the event defined previously or not as required.

  6. If you want to save your action in a file, use Save action. It will be saved in a Standalone action file (*.saa).Click Save to export your action to a file.

  7. Click OK to save your action.

  8. Check the checkbox next to your action if you want the popup to carry out your action or leave the checkbox unchecked if you do not want the action to be taken into account.

See also

Customize Popup configuration


Modify an action

Procedure

  1. Go to the Popup configuration window.

  2. Check the box next to the action you want to modify.

  3. Click on [image]. The Action properties window is displayed.

  4. Change the information in the Events, Action and Filter tabs as desired.

See Create an action for more information about these tabs.

See also

Create an action

Customize Popup configuration


Loading a pre-programmed action file

  1. Go to the Popup configuration window.

  2. Click on [image]. A window is displayed.

  3. Select a file with extension .saa (standalone action) from the tree.

  4. Click Open to load the action file. The name of the action is automatically displayed in the list of actions in the Popup configuration window.

See also

Customize Popup configuration


Configure launch of an external application

This action launches an external application in response to telephone events with the following call parameters:

The phone number

The local number

The call type

The call origin.

The external application carries out processing using the parameters described above.

The external application is an executable, a Windows batch file or a script.

Procedure

To configure the launch of an external application, proceed as follows:

  1. In the Popup configuration window, in the Actions List tab, click the following icon:
    .

  2. The Action properties window shows up. Select the Action tab.

  3. In the Do drop down menu, select the Launch Application action.

  4. In the Path field, enter the directory containing the executable to be run.

  5. In the Application field, enter the name of the external application to run and the associated parameters.

  6. Using the cursor, select Before action, the timed delay before the action is performed (from 0 to 60 seconds).

  7. Click OK.

Parameters linked to the call

Parameters linked to the call are:

$1 : Number (local or remote) configured in the Popup module.

$2 : Local number (corresponds to the number of the phone set monitored by the application, or the direct call number of the phone set if it exists).

$3 : Call type (used to indicate if the call is incoming (INC) or outgoing (OUT)).

$4 : Call origin (used to indicate if the call is internal (INT) or external (EXT)).

When the action is performed, the actual parameters for the call are used in place of the $x to launch the external application.

The end user has to create programs for the possible actions.

Example: Action configuration

Path: C:\test

Executable: test.bat $1 $2 $3 $4

When a call arrives from phone set 102 to phone set 101, the action causes file test.bat to be run by the following command:

C:\test\test.bat 102 101 INC INT

See also

Configure Popup


Configure online updates

Configure the Online Update options

PIMphony can be configured to automatically update itself when an application update becomes available via the Internet. The application automatically downloads and installs the software update.

All the necessary parameters for online updates can be configured from the tab Online Update in the Configuration window. The overall online update policy is determined by the system administrator, who can enable/disable the online update feature and configure the following parameters:

Update frequency

Automated Installation after Download

As an individual user, you can only configure the parameters that are accessible to you. These are:

General Settings

Internet Settings

These settings are described below, as well as other operations available through the Online Update tab.

If PIMphony is being used at the time of an update, a message is displayed to ask the user to close the application so that the update can take place.

General settings

This area contains only one field:

Save updates in

This field is used to specify the directory to which PIMphony software updates are to be downloaded. You must specify the full path to a directory for which you have write access.

Internet settings

This area is used to configure the internet access required for online updates. You must select one of two possibilities:

Use the Internet parameters of Windows

If this option is selected, the online updates will use the default parameter values of Microsoft Internet Explorer.

Use my Proxy Server

If this option is selected, the online updates will use user-defined parameter values. In this case, you must provide the IP address and Port of the proxy server to be used.

Reset password

Click here to reset the user's password to the default value.

Other operations

The Online update tab also provides access to the following button:

Update Now

Click on this button to conduct an immediate internet search for an online update. This performs a check outside of the scheduled checks configured in the Next search for update field.


Configure telephony options

Configure the Telephony options

You can configure telephony options from the Telephony tab in the Configuration window.

Procedure

  1. Go to the Configuration window.

  2. Click on the Telephony tab.

The tab is made up of the following areas:

Location

Dialling Options

  3. In the Location area you can:

show the country and area codes as well as the outside access prefix programmed into the dialling properties.

Access dialing properties configuration by clicking on the Properties command button.

  4. In the Dialling Options area, check or uncheck the following boxes:

Add TAPI Outside Access Code for Numbers

This automatically adds the prefix used for outside calls (PCX outgoing call prefix) or for those which have more than "x" digits (check this option to display the digits field).

Force a Local Call to be translated as a Long Distance Call

Used to force PIMphony into dialing in long distance call mode.

  5. Click on Apply to validate, OK to confirm or Cancel to cancel your choices.

See also

Presentation of the main configuration window

Application configuration


Configure Voice Mail

Configure the Voice Mail options

You can configure Voice Mail from the Voice Mail tab in the Configuration window.

Procedure

  1. Go to the Configuration window.

  2. Click on the Voice Mail tab.

The tab is made up of the following areas:

Voice Mail

Options

Notification of voice message by Email

  3. In the Voice Mail area, the fields Number and Password are entered automatically by the system.

  4. In the Options area, check or uncheck the following boxes:

Show New Voice Mail(s) in Call Board

Used to inform the user that there are new messages in the Call Board window.

Show New Voice Mail(s) with an Icon in Task Bar

Used to show the new messages icon on the Dialler module.

Support Record On Line

Used to activate "Conversation Recording" mode.

  5. In the lower area, check or uncheck the following boxes:

Notification of voice message by Email

Used to send the message to the e-mail client on your PC as an attachment.

Automatically delete the voice message on the system

Used to delete the PCX message after it has been sent to the e-mail client. This message will no longer appear in the messages window. The message can then only be heard on the PC, and no longer on the telephone set.

eMail address

Used to configure the address of the e-mail client to which the e-mails are to be sent.

  6. Click on Apply to validate, OK to confirm or Cancel to cancel your choices.

See also

Presentation of the main configuration window

Application configuration

Voice Mail


Configure application services

Configure the Services options

You can configure application services from the Services tab in the Configuration window. This allows you to configure access to the LDAP directory.

Procedure

  1. Go to the Configuration window.

  2. Click on the Services tab.

    The tab is made up of the following areas:

Extended Dial by Name
To configure access to the LDAP server

This area displays the current connection mode to the PCX. The connection parameters can only be changed with the PIMphony Configuration Wizard.

Troubleshooting
In the Troubleshooting area, check Enable logging to log in events in the log file located in the directory where the application is installed (trace{x}.log where x is a number from 0 to 6, one file per day, replaced after one week.)

  3. To configure access to the LDAP directory, follow the steps below. These steps are detailed in the sections below this procedure.

  1. Choose to use the LDAP directory

  2. Enter the access parameters for the LDAP directory

  3. Test the configuration

  4. Optimize your connection to the LDAP directory

  5. Configure the display of contact information

  4. Click on Apply to validate, OK to confirm or Cancel to cancel your configuration.

The following sections correspond to the sub-steps of Step 3 of the above procedure.

a. Choose to use the LDAP directory

  1. In the area Extended Dial by Name, tick the checkbox With LDAP directory.

  2. Click on the Configure button.

This displays the LDAP Configuration screen which allows you to enter the access parameters for the LDAP directory (see Enter the access parameters for the LDAP directory below).

b. Enter the access parameters for the LDAP directory

In the LDAP Configuration screen, you must enter values for the following parameters concerning access to the LDAP directory:

Host: Name or IP address of the server for the LDAP directory.

Port: The number of the port used for connecting to the LDAP server (389 is the default).

Base: Point of origin of requests for the LDAP directory.

Login: Username for access to the LDAP server (not mandatory; see below).

Password: Password corresponding to the above username (not mandatory; see below).

If the LDAP directory accepts anonymous connections, the Login and Password fields must be left blank.

c. Test the configuration

Once you have entered the access parameters in the LDAP Configuration screen, you can test the connection with the LDAP server by clicking on the Test button.

If the result is Connection successful, you can proceed to use the LDAP directory with your application.

If the result is Connection error, a connection to the server could not be made due to one or more erroneous parameter values (contact your IT administrator for help).

d. Optimize your connection to the LDAP directory

LDAP directories can be very large. In such cases, a search by name may take a long time. You can optimize your connection to the LDAP directory by clicking on the Advanced... button on the LDAP Configuration screen. This takes you to the LDAP Advanced Configuration screen, which contains parameters that allow you to ensure that your requests are responded to in a suitable time frame.

Minimum request length: This is the minimum number of characters that can be accepted for a search string. Therefore, to conduct a search, the user must enter at least this number of characters for the search request to be sent to the LDAP server. The possible values are the integers from 1 to 10 (inclusive), and the default value is 2. The longer the search string, the quicker the result.

Request timeout: This is the maximum duration (in seconds) during which the server will conduct a search. Once this duration has been reached, the server returns the results found during that time. The possible values are the integers from 0 to 60 seconds (inclusive), and the default value is 10 seconds. The value 0 (no timeout) is used to specify that the maximum possible search duration of the server must be used, which is 120 seconds. Beware that a short timeout may lead to no results.

Maximum results returned: This is the maximum number of results that can be returned from a single search. The possible values are integers from 0 to 500 (inclusive), and the default value is 50. The value 0 is used to specify that all search results must be returned. The higher this value, the more time a search takes.

The search results returned can vary according to the values of these parameters. Use these parameters with caution.

e. Configure the display of contact information

The LDAP Advanced Configuration screen also allows you to configure how contact information is displayed from the result of a search. When a search result is displayed, you can click on the Contact icon to display information on this contact (name, telephone number, locality, e-mail address) through a specified application. To configure this display, fill in the following fields in the Show Contact zone of the screen:

Path: This field contains the complete path to the application that will open and display a contact information file.

Application: This field contains the name of the application that will display the contact information, and the list of contact parameters that will be displayed. The parameters and their codes are as follows:

$1: First name

$2: Surname

$3: Telephone number

$4: Locality

$5: E-mail address

Example: <<Name of application>> $2 $1 $3

A default display (a web page) can be configured using the following parameter values:

Path: <<Path to web browser>>\<<Name of web browser executable>>

e.g. c:\program files\Internet Explorer\IExplore.exe

Application: default.html $1 $2 $3 $4 $5

See also

Presentation of the main configuration window

Application configuration


Configure the Assistant options

You can configure Assistant Window from the Assistant tab in the Configuration window.

The Assistant Window is only available with the Team and Operator profiles.

Procedure

  1. Go to the Configuration window.

  2. Click on the Assistant tab.

The tab is made up of the following areas:

General Options

Calls

Action of Buttons (with a Current Call)

Favorites

  3. In the General Options area, check or uncheck the following boxes:

Enable Statistics

Used to compile statistics on calls received. These statistics are exported in .csv format (data files which can be used by other applications).

Enable Keyboard Shortcuts

For more information, see Keyboard shortcuts.

Enable search by name in supervision

Check this box to display Colleagues and relevant information in the Supervision window.

  4. In the Calls area:

Activate a visual alarm on ringing call by checking the Enable Alarm on Offering Calls with Threshold (in sec) box and defining the threshold which is expressed in seconds.

Activate a visual alarm on call on hold by checking the Enable Alarm for Calls on Hold with Threshold (in sec) box and defining the threshold which is expressed in seconds.

Choose the number of calls shown simultaneously (4 or 8) in the calls window in the Number of Calls displayed in Call Window.

  5. In the Action of Buttons (with Current Call) area, choose the transfer mode for the current call:

Either in direct mode by selecting Unsupervised.

Unsupervised mode carries out a definitive transfer. It is the default mode.

Or with follow-up of the transfer by selecting Supervised.

Supervised mode means a transfer with two separate steps: Call the recipient then transfer the active call to him. It is possible to cancel the transfer.

Summary table of the possible methods to do a transfer in the Assistant Window (with an active call):

  1. Supervised mode

    Unsupervised mode

    Dialling and click on the Dial button [image] ,

    then click on the Transfer button [image] ,
    (once the second call is in ringing state or engaged).

    Dialling and click on the Transfer button [image].

    Click on a programmable button,

    then click on the Transfer button [image].

    Click on a programmable button.

    Double click on a button in Favorites, Colleagues or Redial tab,

    then click on the Transfer button [image].

    Double click on a button in Favorites, Colleagues or Redial tab.

    Click on a button in the supervision window,

    then click on the Transfer button [image].

    Click on a button in the supervision window.

    .

  6. In the Favorites area, configure the display of the Favorites window by selecting:

Sort on Date

For a caller, shows his most recently contacted favorite persons.

Sort on Count

For a caller, shows his most frequently contacted favorite persons.

To reset favorites, click on the Delete All button.

  7. Click on Apply to validate, OK to confirm or Cancel to cancel your choices.

See also

Presentation of the main configuration window

Application configuration

Assistant Window


Configure your phone numbers

Configure the Person options

You can configure your phone numbers from the Person tab in the Configuration window.

The Person tab is only available with the Team and Operator profiles.

Procedure

  1. Go to the Configuration window.

  2. Click on the Person tab.

  3. The Phone numbers label area has several lines used to change the semantics for each of the different telephone numbers. These labels are to be found in the Supervision Phone properties.

Phone_Properties

  4. Click on Apply to validate, OK to confirm or Cancel to cancel your choices.

See also

Presentation of the main configuration window

Application configuration

Phone_Properties


Configure Voice over IP (VoIP)

Configure VoIP

To configure VoIP, you will use PIMphony VoIP configuration and the Volume Control of Windows.

VoIP configuration in PIMphony

You can configure the Voice over IP (VoIP) feature of the application from the tab VoIP in the PIMphony Configuration window, as follows:

Procedure

  1. Go to the Configuration window.

  2. Click on the VoIP tab.

The tab is made up of the following areas:

Preferred Codec

Wave controls

IPLAN

  3. In the Preferred Codec area, tick the checkbox that corresponds to the required codec.

This allows you to select the preferred codec to be used during a telephone call.

Last Codec Used corresponds to the codec used for the current call or last call.

If connecting to a LAN, the G711 (uncompressed voice, better quality) must be used. This is the default codec.

When remote connecting, it is preferable to have a compressed codec (G729A or G723.1). G729A is the preferred codec for remote connection.

The checkbox With Silence Detection is accessible only in compressed voice mode (codec G729A or G723.1). Silence Detection implies that less traffic is generated when you do not speak.

  4. In the Wave controls area, you can:

select the communication port to which an external handset is connected

configure the audio output and input levels.
To configure these parameters click on the "Audio Wizard…" button. This action will open a wizard for configuring all audio properties.

  5. In the IPLAN area you can:

modify the name or the address of the voip board

check the connection to this board using the Test button
The test result is displayed in a message.

  5. Click on Apply to validate, OK to confirm or Cancel to cancel your choices.

Configuration of Windows Volume Control

Volume can be set by PIMphony VoIP configuration and by Windows Volume Control. Some other settings can only be set by Windows Volume Control.

To open Volume Control, click Start, point to All Programs, point to Accessories, point to Entertainment, and then click Volume Control.

Using Volume Control, you should configure both Listen and Record parameters:

Listen parameters
Click on Options, Properties, then chose Listening and tick all the check boxes to display every control. It is recommended to mute every control except the Volume and Wave controls. This will, for example, avoid hearing at the same time a music CD and someone who is calling you. You can also adjust the volume of the Wave control to hear correctly the caller's voice.

Record parameters
Click on Options, Properties, then chose Recording and tick all the check boxes to display every control. It is recommended to mute every control except the Microphone control. You can also adjust the microphone sensibility. You should set it low in order to reduce any background noise generated by your environment.

See also

Presentation of the main configuration window

Application configuration


Configure Global

Configure the Global options

You can configure the Global parameters from the Global tab in the Configuration window.

The Global tab is only active for PIMphony Operator profile.

Procedure

  1. Go to the Configuration window.

  2. Click on the Global tab.

The tab is made up of the following area:

Date_Time synchronization

  3. In the Date_Time synchronization area, set the following information:

PC

PCX

Click PC->PCX to update all PCX date and time with the PC date and time information.


Using the application

The application consists of the following modules:

The Phone Window, which is the user's main interface.

The Popup module, which provides the interface with the external PIM.

The Dialler module, which appears as an icon in the tool bar.

The Voice Mail module for voice message management.

The Assistant module which manages call distribution.

The Supervision window.

There is also a speed dialling function.

See also

Content of the on-line help


Phone Mode

Phone Window

The size of the Phone Window depends on the number of calls and the options selected.

When a Team or Operator profile is used, the Phone Window may also contain the Supervision window.

Access

You can open the Phone Window:

From the Windows taskbar:

  1. Click on Start

  2. Select the PIMphony application in the Programs/PIMphony menu.

From the Windows desktop:

Double click the PIMphony icon.

From the dialler module (if it is active):

  1. Right-click the Dialler icon

  2. Select the Maximize option.

If the (PIM) contact manager base has been updated (records added, deleted or modified), the application is synchronised with the contact manager.

Functions

The Phone Window is the core of the application. It enables you to use the basic functions of your telephone without using the telephone set.

Its main functions are as follows:

Call management

Manage call log

Manage personal directory

Manage programmable function keys

See also

The Dialler module

The Supervision window


Presentation of the Telephone module

Presentation of the Phone Window

The Phone Window is composed of several windows and command bars of varying sizes some of which are optional:

Menu bar

Used for accessing the personal directory, call log, application configuration and on-line help. It is optional.

Main command bar

Used for dialling, access to personal directory and call log. This bar is always displayed.

Programmable function key window

For direct calling, call forwarding, etc. It is optional.

Call board window.

Shows incoming calls which remained unanswered.

Call status and management window

Used for answering, hanging up, putting on hold, call forward and conference. Its size depends on the number of calls.

The interface's appearance will vary depending on the options chosen in the Phone Window menu.

See also

Phone Window

Use the shortcut menu in call board window


Menu bar

The menu bar contains the following menus:

File

View

Tools

Help

File

This menu contains the following commands:

Open: Accesses the Personal List, the Call Log, the Voice Mails and the Supervision.

Close: Closes the application.

Exit: Exits the application.

View

This menu contains the following commands:

Phone Bar Window: Accesses the Phone Bar.

Phone Window: Accesses the Phone Window.

Assistant Window: Used to switch to Assistant Window.

Show Menu Bar: Displays the Menu.

Show Programmable Buttons: Displays any number between 0 and 10 of lines of programmable buttons.

Show Call Board: Accesses the call board.

Tools

This menu contains the following commands:

C hange Password: Changes the phone password.

Remember Password: Used to change the stored status of the password.

Popup...: Calls the configuration Wizard.

Online Update: Calls up the Online Update feature.

Options...: Calls up the general configuration for the application.

Help

This menu contains the following commands:

Contents...: Calls up the on-line help contents.

Online Update more info...: Calls up more information about Online Update..

Register...: Calls up the Registration window.

About...: Calls up the window containing information about the application and the user.

See also

Presentation of the Phone Window


Main command bar

The main command bar contains the main functions required to make a call. This is the "minimum" telephone representation when the terminal is idle, there are no unanswered calls and the optional secondary command bar has not been programmed. The presentation can be modified to some extent using the context menu.

The command bar is composed of the following icons:

A command bar for dialling: Simple dialling or dialling by name,

A control bar for record Popup and access to other modules such as the personal directory or the call log.

Appearance of buttons

Each button on the control bar indicates its status in the application. If the button is active, it appears in colour when the mouse pointer is positioned over it. Otherwise it remains grey.

Dialling procedure

Calls can be made using a copy/paste or drag-and-drop operation.

See also

Presentation of the Phone Window


Forward Setup

The Forward Setup icon exists in the Phone Bar, in the Phone Window and in the Assistant Window.

The icon shows the current Forward status (Ready or type of Forward).

A menu displays to quickly choose a Forward (Forward setup still depends on the Programmable Buttons).

The Forward Setup icon also allows to enable and disable the Nomadic Mode.

You can Cancel Forward from the scroll-down menu when Forward is enabled.

It is no longer necessary to call up the Forward features in the Set Programmable Buttons window to enable or disable Forwarding.

Forward Status

Ready

Type of Forward

The types of Forward available in the Voice Mail scroll-down menu depend on the Programmable Buttons you have selected in the Set Programmable Buttons screen.

See also

Presentation of the Phone Bar

Presentation of the Phone Window

Assistant Window


Command bar for dialling

The dialling command bar contains the following icons and allows searching the following directories:

- Enables name searching in the Personal List.
OR

- Enables name searching in the PIM.

OR

- Enables name searching in the Telephony Directory (PCX), see: Dial with PCX directory.

OR

- Enables name searching in the LDAP Directory, see: Dial with LDAP directory.

OR

- Enables name searching in the PCX Phonebook, LDAP and local PIM at the same time, see: Dial with Unified Search.

Click on the down arrow to display the context menu and easily switch from one directory to another:

You can enable these options in Tools / Options / Popup / PIM Drivers area. The availability of these options depends on the licence you acquired.

The dialling command bar also contains an entry field in which the name or number to be dialled is entered.
A multi function button is to be found in the dialling command bar:

- Used to make a call to the person or number specified in the entry field.

- Accesses a drop-down menu. This menu is used to:

Make a call to one of the numbers stored in the contact record corresponding to the name typed in the entry field.

Activate the following telephone functions:

- Redial: Redials one of the ten last dialled numbers.

- Speed Dial: Used to access functions or numbers pre-programmed in the pre-programmable keys.

- Feature Keys: Used to activate Forward to Voice Mail - Voice Mail and Redial.

Activate the New Call window from the New Call... menu (this function is only available from the Phone Bar).

The Popup Correspondent Card icon is also in the dialling command bar:

- Pops up the record for the correspondent selected in the status window.

General rules

The LDAP directory and the Telephony directory can replace the PIM only to search for a name. The selected PIM remains active for all other operations. In particular:

Incoming calls are always identified using the chosen PIM.

The pop up actions are always linked to the information in the chosen PIM.You

See also

Main command bar

Command bar for Popup and access to other modules

Presentation of the Phone window

Card full view


Command bar for Popup and access to other modules

The command bar for window Popup and access to other modules contains:

- Calls up the Personal List for the application.

- Accesses the Call Log.

This icon has 2 states indicating whether there are calls recorded in the Call Board or not. If this is the case, the background color is orange:

/ [image]: Calls voice mail; this button has 2 states indicating whether there are new voice mail messages or not.

- Accesses the Supervision window.

See also

Main command bar

Command bar for dialling

Presentation of the Phone window

Configure the General Options


Call status and management window

The number of lines displayed in the call status and management window varies as a function of the number of calls.

Each call is represented by a line which gives the status of the call.

This line contains the following:

Call status icon:

- Ringing

- In conversation

- Call put on hold

Call identification window

Duration of call

Control icons

- Answer call

- Deflect call

- Drop call

- Put on hold

- Reconnect

- Cancel conference

- Cancel transfer

- Record

- Stop recording

- Pause recording

- Cancel recording

When the mouse pointer is positioned over an icon, the icon appears in colour and, after one second, a Tool tip informs the user of the icon's exact function.

To activate a command, you simply click on the corresponding icon.

A call can be picked up by double-clicking on a line if the [image] icon is present.

The call status and management window is different from the Call board. The latter shows unanswered calls.

See also

Presentation of the Phone Window

Record a conversation

Call board window


Use the shortcut menu

Use the shortcut menu in call board window

Procedure

Right-click the call identification window of the Call status and management window to enable the context menu.

To pop up the correspondent's record during a call, click Popup Correspondent Card

To create a new record for the current correspondent, click New Contact.

To user the keyboard for overdial during a call, click DTMF.

To carry out automatic callback, click on Call back.

To intrude, click on Intrude.

For refusing an incoming call and diverting it to another person as desired, click Deflect/Transfer.

To answer a call, click on Answer.

To drop a call, click on Drop.

See also

Call status and management window


Show forwarding in status window

When forwarding or "Do not disturb" is programmed, this is indicated in the status window, the background of which becomes grey. The type of forward (icon) and the receiving number are shown in the window.

If a call appears in the status window, the forwarding display temporarily disappears (while the call remains active).

The call log is updated with any forwarded call, no call duration is logged.
The forwarding remains active on the terminal even if the PC is switched off.

See also

Function keys


Programmable function key window

The programmable function key window can be displayed from the Phone Window.

Click on View, then select Show Programmable Buttons and choose how many lines you want to display. (You can display up to 10 lines).

The programmable function keys window is now displayed.

50 KEYS (10 lines X 5 keys) are available for customised programming to your own requirements.

Procedure

Click on any key to open the Set Programmable Buttons screen.

Select a function in the "Select a Function" list.

The function name displays in the Name box. The corresponding icon displays above the Name box.

Fill out the corresponding box(es) (Phone Number, Application) and click Save.

Users must fill in the Name box. and any other relevant box after they have selected the Speed Dial, Send DTMF, Call Pickup or Group Pickup functions.

See also

Programming an unassigned function key

Presentation of the Phone window


Call board window

The call board window displays incoming unanswered calls. This window does not depend at all on the Call Log.

The call board window does not show up if there are no unanswered calls.

The call board size varies with the number of calls.

The lines contain the following information:

Voice messages

Incoming calls not answered.

See also

Presentation of the PhoneWindow

Call status and management window


Program text forwarding

The user can send a message back to the caller instead of receiving the incoming call. The message appears on the caller's phone set and in PIMphony.

The user must select "Text Forward" and create a new feature key in the "Set Programmable Buttons" dialog box.

The "Text Forward" option is disabled for SIP phones.

Procedure

  1. Click a card icon in the Programmable function key window.

  2. The Set Programmable Buttons dialog box shows up.

  3. Select Text Forward.

  4. Select a message to display. The user can edit the message.

The user can enter an empty message and edit it on key activation.

  5. Click on Save.

  6. Click on the programmable button to activate text forwarding.

  7. The message selected and the Forward state icon appear in the Forward state zone.

  8. Double-click in the Call status zone or program a Forward Cancel button to cancel the text message transfer.

See also

Programmable function key window


Presentation of the Phone Bar

The Phone Bar can be used to replace the main window of the Phone Window to save space on the screen.

Access

To access Phone Bar, proceed as follows:

  1. Go to the Phone Window.

  2. In the Phone Window menu bar, select Phone Bar Window in the View menu. The Phone Bar is displayed.

Interface

The Phone Bar is composed of:

A call status and management window similar to that of the Phone window when the terminal is in operation. Call status and management window

A command bar with the same functions as the Phone Window. Clicking [image] accesses the other calls in progress.
Main command bar

A window on the left contains the following icons:

To open the Phone Window.

To minimise the Phone Bar.

The appearance of the Phone Bar differs depending on the phone set status:

At rest:

Ringing:

Engaged:

See also

Phone Window


Hide phone bar

Procedure

  1. Right click in a non-sensitive area of the Phone Bar to bring up the context menu.

  2. Select Auto hide. The Phone Bar is hidden when not in use.

  3. To make the bar reappear when hidden, position the mouse against the upper border of the screen window: the Phone Bar will appear.

  4. To use it, keep the mouse inside the Phone Bar.

See also

Presentation of the Phone Bar


Go from the Phone bar to the Phone window and back again

Go from the Phone Bar Mode to the Phone Mode

Procedure

To go from the Phone Bar to the Phone window, you can:

Click on [image] in the command bar for the Phone Bar. The Phone window is called up and the Phone Bar closes.

or

Click on [image] in the Phone Bar.

See also

Phone Window

Presentation of the Phone Window

Presentation of the Phone Bar


Call management

Call management can be accessed from the status window and the following actions are possible:

  1. Making a call

  2. Deflecting a call

  3. Automatic callback

  4. Intrusion

  5. Putting a call on hold

  6. Transferring a call

  7. Setting up a conference

See also

Phone Window


Making a call

To make a call, you can:

Enter the number or the name of the person you want to call.

Select one of the last ten numbers dialled (Redial function).

Making a call by entering name or number

  1. Using the keyboard, enter the number or name of the person required, in the entry window.

If the name is entered, when the first few letters have been typed, the name is completed from the PIM's list of contacts or from the personal directory.

  2. Click on the [image] icon. The call is made.

Making a call using one of the last ten numbers dialled

You can also select one of the last ten numbers dialled (Redial function):

  1. Click on the [image] button.

  2. In the drop-down menu. select Redial.

The numbers or names for the last ten numbers dialled are stored in a pull-down list.

  3. Select one of the previous calls stored. The call is made.

Appearance of the call status and management window

If the call is unanswered, the call status and management window appears as shown below:

- Indicates that the call is ringing.

- Indicates that the only action available is to Drop the call.

When the call is answered and during the conversation, the call status and management window appears as shown below:

- Indicates that the call can be put On Hold.

- Indicates you can Record the call.

See also

Call management


Dial with LDAP directory

An LDAP (Lightweight Directory Access Protocol) directory is a server with an LDAP server software that automatically provides phone numbers corresponding to names entered by the user.

Dialing by name is therefore possible through an LDAP directory.

The Dial with LDAP directory feature is possible for all profiles except Basic.

The Dial with LDAP directory feature requires an LDAP server. The LDAP server must have been configured.

Procedure

  1. In Assistant Mode, in the Phone Window or in the Phone Bar, click on the Down arrow by the [image] icon.

  2. Select Search Name from the LDAP Directory in the context menu that pops up.

See also

Configure the Services options

Features and profiles


Dial with PCX directory

Dialling is not only possible through the PCX internal phonebook but also through the centralized phonebook in a multi-node topology.

The application uses the PCX centralized phonebook duplicated on all PCX's on the network to enable the Dial by name feature.

This function is available in all PIMphony profiles except Basic.

Procedure

  1. In Assistant Mode, in the Phone window or in the Phone Bar, click on the Down arrow by the icon at the far upper right of the command bar.

  2. Select Search Name from the Telephony Directory (PCX) in the context menu that pops up.


Dial with Unified Search

After selecting the 'Use Unified Search' option, type in the first three letters of the contact's lastname in the input dialing frame of the PIMphony main window.

A new search results window is automatically displayed, showing the matching contact results

The search results window details, for each contact:

Full Name [ Lastname,Firstname]

Main Telephone Number

Company Name

Icon to identify whether the contact is from local PIM or UDA

Search in the new search results window is dynamic and refined after each new letter entry

This window contains up to ten contacts. More contacts can be viewed with up/down softkey buttons or with keyboard (up/down, PageUp/PageDown, Home/End keys)

Contact with a "home" icon are found in the local PIM and contacts with no icons are from the UDA [PCX phonebook + LDAP].

To call a contact, perform any of the following:

Select the contact and click the dial button

Select the contact and press the Enter key

Select the contact and right-click to select Dial in the contextual menu

Double click the selected contact

To see the detail of a contact, perform any of the following:

Select the contact and click the detail button

Select the contact and right-click the select contact details


Deflecting a call

Deflect an incoming call

Deflecting a call means refusing an incoming call and diverting it to the person of your choice.

Procedure

  1. Click the [image] icon corresponding to the Deflect call. A popup window is displayed.

  2. In the Phone field, enter the number of the recipient to whom the call is to be deflected.

  3. Click OK to confirm.

See also

Call management


Automatic callback

What is automatic callback?

Automatic callback enables you to have the PCX call someone again after you have tried and the called party could not answer because their line was busy.

The PCX calls the called party back as soon as the called party hangs up.

Automatic callback only works when the called party line is engaged.

Enabling automatic callback

Right-click the name of the person you want to call and select the Callback menu.

The callback will be triggered as soon as the person's phone line is available.

For automatic callback, if two (or more) PCX's are interconnected, they must all be able to support this function.

See also

Call management

Call status and management window


Intrusion

What does Intrusion mean?

The Intrusion feature allows the following:

A is in conversation with B. You (C) want to talk to A even though A is already in a conversation.

You will then force your way in the conversation between A and B.

Once intrusion is done, everyone (A, B and C) is in conversation, like in a conference.

Intrusion involves the following pre-conditions:
- The correspondent being intruded on is not protected against intrusion in the configuration of the PCX by the installer,
- The person performing the intrusion must be authorised for third-party entry by the configuration of the PCX by the installer.

To intrude, the correspondent must be busy (engaged).

Enabling Intrusion

Click the Intrusion icon (see below) when it appears to enable Intrusion. Everyone is now in a conference.

The correspondent is informed of the intrusion by regular background beeps.

See also

Call management

Call status and management window


Putting a call on hold

Putting on hold allows you to:

Momentarily interrupt one or more calls, to resume them later.

To put one correspondent on hold and talk to another during a double call.

The correspondents on hold hear holding music.

Procedure

  1. Go to the Phone window.

  2. Using the keyboard, enter the number or name of the person required, in the entry window.

When the first few letters have been entered, the name is completed from the PIM contact list or - if you do not have a contact manager - from the one in the personal directory.

  3. Click on [image]. The call is made.

  4. The [image] icon and the number called display in the Call Status and Management window.

  5. The [image] icon displays in the Call Status and Management window as soon as the connection is made.

  6. The [image] icon displays when the call is answered. Click on this icon to put the conversation on hold.

The Call Status and Management window appears as follows:

indicates that the call is On Hold.

indicates that the only action available is to recover the call.

See also

Call management


Transferring a call

When you are connected, you can transfer the call to a correspondent of your choice.

Procedure

  1. Call the person you wish to transfer the call to.
    Making a call

The first correspondent is put on hold, the [image] icon appears to the left of the first correspondent.

  2. When you are connected to the second correspondent, click the [image] icon.

Your calls are cut off, but the line is open between the other two.

The name of the recipient of the transfer can also be obtained from the PIM or from the personal directory.

Mobicentrex request to transfer calls with DTMF

This feature enables the transfer on an incoming call through Supervision to the user's mobile phone via the DTMF call transfer of the public network.

The user's card must be configured with numbers in the following format: "DTMFPrefixNumber" where:

Prefix = public network DTMF prefix for transfer

Number = external destination

Example: Mobile phone number = DTMF##331#06xxxxxxxx

Procedure

  1. With PIMphony in conversation, open a card in full view.

  2. Click on the destination number.
    The prefix and the number are sent in DTMF.

  3. The call is automatically transferred if the public network accepts the transfer.

The call cannot be transferred if PIMphony is not in conversation.

See also

Call management

Assistant mode

Card_full_view


Setting up a conference

Setting up a conference puts you in simultaneous contact with two other numbers. The conference initiator calls the other two people and can disconnect one or both of them.

Procedure

  1. Call the first number and put it on hold. Making a call.

  2. Call the second number and wait for the Conference icon to show up.

  3. Click on the Conference icon [image] to initiate the conference.

The name of the third participant can also be obtained from the PIM or from the personal directory.

You can disconnect one or both of the other participants.

See also

Call management


Recording a conversation

Record a conversation

Calls can be recorded. The user can toggle on, toggle off, cancel and pause the record function during a call.

For recording calls, a "Call facilities/Record online" license key is required. A hard disk drive is also required.

This feature is not available in Assistant display mode.

Record conversation is only available if your PCX has this feature and your administrator has assigned to you the right to use it.

Procedure

  1. Click on the [image] button to start recording. By default, 20 minutes of conversation can be recorded.

  2. When the recording is started, the record, transfer and conference buttons disappear while the following buttons appear:

Pause [image] Click on this button to pause the recording. Click again to resume recording.

Stop [image] Click on this button to stop recording and save the file in the voice mail box. The conversation can then be played from the phone voice mailbox or from PIMphony Visual Mailbox.

Cancel [image] Click on this button to stop recording, the conversation is not saved.

You can listen to the conversation you have saved in the phone voice mailbox or in the PIMphony Visual Mailbox.

See also

Call management


Call Log

The Call Log records all calls (incoming and outgoing, answered or unanswered) over the last 30 days.

The Call Log handles up to 400 entries.

You can choose to view incoming calls, outgoing calls or both. All calls can be displayed in the same window.

Access

To access the Call Log, proceed as follows:

Click on the [image] button.

or

Choose the menu View, Call Log.

Presentation of the Call Log

Call Logs are composed of:

The list of calls

The Command bar

This window shows the following information:

Information concerning new messages in the voice mail

Unanswered incoming or outgoing call

Outgoing call to busy phone set

Outgoing call to unavailable phone set or wrong number

Name or number of contact (if in system)

Two pull-down menus provide the same functions as the command bar buttons.

Functions

Using the Call Log you can:

Display a type of call (Incoming, Outgoing, with Voice Mail). To do this, click the Call Log icon, then the down arrow by the Incoming and outgoing calls icon.

Filter calls from a Selected Correspondent.

Delete any or all of the Log entries.
Click [image] to delete a Call Log entry you selected or click [image] to delete all entries.

Call back a correspondent.

Popup a correspondent's card.

Export the call log.

Centralized call log.

See also

Phone Window


The list of calls

Call list

The Call log window can display up to ten lines simultaneously. Calls are shown in reverse chronological sequence, from the latest to the oldest. The Call log displays all incoming and outgoing calls.

Each line corresponds to a call and contains the following information:

- Incoming call

- Outgoing call

- Forwarded call

- No answer call

- Voice message

- Picked-up call

- Conversation recorded

Name of correspondent (if in system)

Correspondent's number

Date

Time

Duration of call (except for any unanswered call).

Any selected line is highlighted in light blue.

Double click on any name or number to call it.

See also

Call Log


Command bar

The call log command bar contains:

Manage Call Log:

- Displays incoming and outgoing calls.

- Displays calls from all correspondents.

- Displays only calls with a voice mail.

- Displays only incoming calls.

- Displays only outgoing calls.

- Shows calls for a chosen correspondent.

- Deletes a specific entry from the log.

- Deletes all log entries.

Manage selected line:

- Pops up the correspondent card.

- Calls back the number.

See also

Call log


Export log

Export the Call Log

Procedure

  1. Go to the Call Log window.

  2. Click on File then on Export....

The Windows Save As window opens.

  3. Enter the filename.

  4. Check that the selected file is a "CSV file (*.csv)",

  5. Select the access path to the .csv file.

  6. Confirm your choices.

See also

Call Log


Store calls when the PC is turned off

Centralized call log

Centralized call log is a feature of the PCX. It means that call are logs on the PCX side so that your call log is working even if your PC is switched off.

See also

Call Log


Manage personal directory

Personal List

The personal list gives local access to a phone directory of up to 400 entries.

This personal list is particularly useful if you do not have a Personal Information Manager (PIM).

The user interface is a directory display table that contains the following columns:

Name

Phone number.

Records are presented in alphabetical order.

The window contains a toolbar with the following keys:

- To create a new entry.

- To modify an entry.

- To delete an entry.

- To dial the number.

- To pop up the correspondent card.

Entries can also be modified and deleted from the Edit menu.

Direct calling is possible by double-clicking on the name or number.

With the Personal List open, type in a letter to go directly to the corresponding entries.

Access

In the menu bar of the Phone Window window, click [image].

Your personal list displays.

See also

Phone Window


Manage function keys

Function keys

You can use the main window of the Phone Window window to assign a predefined function to a key.

Access

To access the programmable function key window, proceed as follows:

  1. Click on View in the Phone Window, select Show Programmable Buttons and select how many programmable button lines you want to display.

The programmable function keys window is now displayed.

  2. To use a function key, left-click on the key.

  3. To define or redefine a function key, right-click on the key. See Programming an unassigned function key for more details.

See also

Phone Window

Programming an unassigned function key


Defining a function key

Procedure

  1. In the function key window, right click a function key and select Create.

You are in programming mode.

  2. Select a function from the list of pre-programmed functions:

Speed dial

Operator

Call pickup: To intercept a call to one phone set (in this case, the PCX must be programmed).

Group pickup: To intercept a call to a group of phone sets (in this case, the PCX must be programmed).

Forward immediate: Pre-programmed direct call forwarding.

Forward on busy: Pre-programmed forwarding on busy.

Do not disturb: To prevent any call from being received on your phone set (you can still make calls).

Forward no answer

Text Forward

Cancel Forward : To cancel a pre-programmed forward, "Do not disturb" or Deflect.

Nomadic mode

Cancel Nomadic mode

Send DTMF Digits: For using the keyboard to overdial (e.g.: '#' key). The '/' (slash) character can be used between the digits to introduce a one second delay while sending DTMF digits (e.g.: '123/456').

Deflect/Transfer: To allow selective forwarding on incoming calls.

Transfer to Voice Mail

Launch Application

Redial

  3. Enter the name to be displayed on the button and the number called (speed dial, operator, forwarding).

  4. Click on Save to confirm programming, on Next to program the following function key, on Previous to program again the previous function key, on Reset to reset all fields to 0 or Cancel to cancel programming.

In case of call interception, if non-hands-free sets are used, and if the system is at rest, the handset must be lifted first in order to be able to intercept.

See also

Function keys


Display of Group name

Display of group name (ACD)

When a call is routed through the ACD, the application must be able to display the called ACD group identification (number and name) and the caller id or name and not the virtual terminal number associated with the ACD. The agent can then answer the call with the appropriate greeting corresponding to the ACD group.

The Display of Group name feature is available if the ACD option is installed along with the PCX. Depending on the actual ACD mode configured on the system (ACD or Multi-Secretary), the group name displayed when the call arrives to a phone set through the ACD feature is the "ACD Group Name" or the "Called Number" for multi-secretary mode.

User interface

To distinguish a call routed through an ACD, the name and the Id of the corresponding group will be appended to the caller name in the call status and management window, the time spent in ACD is also displayed:

See also

Features and profiles


Change password

Procedure

  1. Go to the Phone Window.

  2. In the Tools menu, select Change Password.

The Password Configuration window opens.

  3. Fill in the following fields:

Old password (telephone password)

New password

Confirm new password

As of OmniPCX Office R8.2 or OXO Connect R2.0, password length can be 4 or 6 digit-long.

  4. Check or uncheck the Remember password box.

Box checked: The system will not ask you for your password each time you log in to the application. The password entry screen is not displayed.

Box unchecked: You have to enter your password again the next time you log in to the application.

  5. Click OK to change the password or Cancel to leave the password unchanged.

See also

Menu bar

Remember password


Change remembered status of password

Remember password

To change the 'remembered' status of the password, select Remember Password in the Tools menu in the menu bar of the Phone window.

The log in window is displayed which asks for the password and displays the remembered status of the password.

The remembered status of the password can only be changed if the password is correct.

See also

Change password


Use with a PIM

A PIM (Personal Information Manager) is a personal organizer software that manages personal information such as e-mails, contacts, task lists, calendar dates…


PIM popup

The Popup module provides the interface between PIMphony and the PIM.

It displays telephone contact entries on the basis of criteria entered during the configuration.

Configuring the Popup enables the user to define criteria for displaying and closing Popup records (actions, events, filters) and for launching an external application.

Examples

Displaying the Popup entry of the first outside caller (action) when the telephone rings (filtered event).

Sending an e-mail (action) if the first internal call is unanswered (filtered event).

The selected action is automatically triggered, with or without the optional confirmation request window.

Configuration

From the Popup module configuration window, you can:

Configure Popup


Dialling from PIM

With PIMphony, you can dial from your PIM.

Procedure:

  1. Install the Telephony Service Provider (TSP). Follow the instructions from the Installation Manual.

  2. In your PIM, go to Contacts, select a contact and click the "Dial" icon.

  3. If this is the first time, you must configure your PIM to use the correct line. To do so:

Click the "Dialling Options" button

In the "Connect using line" droplist, select your phone set. Click "OK"

  4. Then, click the "Start call" button.

The procedure above can be different according to the PIM you are using. Please refer to the PIM's user guide.


Dialler

The Dialler module is the minimum representation of the application. It appears as an icon which is always visible in the Windows notification area (Windows system tray).

If the Windows notification area (Windows system tray) is hidden, use the mouse to make it visible.

Functions

The Dialler module is completely autonomous. It lets you carry out various simple operations without using the Phone Window, such as:

Pick up a call directly, by clicking on the icon with the mouse left-hand button.

Make a call

Dial by copy-paste from an application such as Notepad, Word, Outlook, Excel etc.

Dial using the right mouse button from an application such as Notepad, Word, Outlook, Excel, etc.

Speed dialling

Access to advanced functions

Displaying the PC-telephone connection status and terminal

The appearance of the Dialler module icon indicates the status of the CTI connection and your telephone. The Dialler icon reflects the status of the application as seen in the left part of the call status and management window.

Supplementary information is given in the ToolTip which appears when the mouse pointer is on the icon.

Telephone status | Icon | ToolTips
Application non-operational |  |
Application operational | (green telephone) | Personal number
Set connected |  | Caller number (or number called)
Set ringing | (red blinking bell) | Caller number
Set forwarded to Voice Mail |  | Forward to Voice Mail
Calls in Call Log |  | You received X calls
New messages in Voice mailbox |  | You have received voice mail messages

Access to advanced functions

Advanced functions for the Dialler module are accessed from the Dialler context menu.

Procedure

  1. Right-click the Dialler module. The context menu is displayed.

The context menu varies according to the status of the CTI link and phone set. The following commands are always present:

Maximize

Properties

Exit

  2. To activate the main Phone window, click on Maximize.

  3. To close the Dialler, click on Exit.

  4. To connect the re-established link, click on Connect.

  5. To answer a call, click on Answer.

  6. To call a correspondent, click on Dial. A window opens allowing you to enter the phone number of the person you are calling.

  7. To interrupt communication, click on Hang Up.

  8. To recall the last correspondent, click on Redial (number).

See also

Using the application

Making a call using the Dialler module


Speed dialling

Speed dialling allows you to make calls very quickly with a minimum of keyboard and mouse actions.

Speed dialling

  1. Define a Speed Dial number in the Set Programmable Buttons window. Programmable function key window

  2. Right-click the Dialler module and select Dial

  3. The New Call window displays.

  4. Click the Down Arrow by the Dial icon. Select Speed Dial in the context menu then select the Speed Dial name previously defined.

  5. The New Call window disappears and the [image] icon replaces the Dialler one as soon as the call gets through.

  6. Right-click on [image] and select Hang Up to terminate the call.

See also

Making a call using the Dialler module

Configure the General Options


Voice Mail

Access to Voice Mail

  1. Click the Voice Mails [image] icon in the Phone Window.

  2. The Mailbox Password window opens. Enter your password and click OK.

  3. The Voice Mails window opens and shows all the recorded messages.

See also

Using the application

Programmable function key window


Presentation of Voice mail

Voice mail has three components:

Menu bar with the File, Edit, Play and Help menus.

Icon bar for the Voice mail message main window options.

Window which lists voice messages received.

The icon [image] in the main button bar of the application means there is at least one unread message in the voice Mailbox.

You are notified of the arrival of at least one new message by the [image] icon in the dialler module

Message playback and recording is configured during Voice mail configuration.

Voice mail can be configured from:

The PIMphony Configuration window

Presentation of the main configuration window

Window which lists voice messages received

This window gives the following information on voice messages received:

Message statuses:

- Message heard

- Message not heard

- Conversation recorded

The messages are presented in 'last in' order.

Name of sender:

Either from the PIM record, if there is one.

Or from the PCX subscriber directory.

Sender's number, only if no name has been entered.

Date message deposited.

Time message was deposited.

Message duration in minutes and seconds.

The arrow enables you to browse the messages.

A context menu is available from this window. Voice mail context menu

Menu bar

The menu bar contains the following menus:

File

Edit

Play

Help

File menu

This menu contains the following commands:

New Voice Message: To record a new message and address it.

Save As...: To save the message, in .wav format, in the directory of your choice.

Close: To exit the mailbox.

Edit menu

This menu contains the following commands:

Delete: To delete a selected message.

Delete All: To delete all the messages.

Play menu

This menu contains the following commands:

Play: To listen to the message selected.

Forward: To select a message, then forward it to one or more persons.

Mark as read: To select a message and mark it as read.

Mark as unread: To select a message, read it and mark it as unread.

Call: To call the message instigator.

Popup Correspondent Card: To display the PIM record.

Create New Correspondent Card: To create a new record in the PIM.

Player device: To select the player device, i.e. the telephone or the PC.

Perform Sequential Play: To activate or de-activate sequential message play.

Help menu

The menu is composed of the Contents option, to call up the on-line help contents.

Command icon bar

Command icons enable the available commands to be associated dynamically and directly with each selected (highlighted) message in the list. They correspond to the following actions:

- Listen to the selected message

- Record a new message

- Forward selected message

- Forward with Vocal Comment

- Delete message

- Display the record in the PIM (e.g. Outlook) relating to the person who left the message

- Call back the person who left the message.

Voice mail context menu

The context menu is called up by right clicking a message in the message window.

The commands in the context menu are:

Play: To listen to the selected message.

Forward - Without Vocal Comment: To select the message addressee from the list on the left, then send the message.

Forward - With Vocal Comment: To select a message, then forward to one or more persons, preceded by a comment.

Save As…: To save the message, in .wav format, in the directory of your choice.

Delete: To delete the current message.

Sender:

Popup Correspondent Card: To display the PIM record.

New contact: To create a new record in the PIM.

Call: To call the message instigator.

See also

Voice mail

Presentation of the main configuration window


Listen to messages

Voice mail lets you do the following:

Listen to the selected message

Choose message playback device

Activate or de-activate sequential message play

Listen to the selected message

Procedure

  1. Go to Voice Mail

  2. In the list of messages, click on the voice message you want to listen to.

  3. To listen to the selected message, you can:

In the Play Menu, select Play.

Right click in the window showing the list of messages received. The context menu is displayed. Click on Play.

Double click on a message that you want to listen to.

Choose message playback device

A message (new or old) may be listened to in two different ways:

Using the phone set.

Using the PC multimedia system.

Using the phone set (default option)

Procedure

  1. Go to Voice Mail

  2. In the Play Menu, select Player Device..., then Use Telephone.

  3. In the list of messages, double-click the voice message you want to listen to.

The tool bar is displayed under Voice mail.

You can listen to the message through the telephone handset. If the telephone has a hands-free function, the message can be played over the set loudspeaker.

The time elapsed display shows whether listening or recording is in progress.
When listening to the message, the telephone set screen (if it has one) displays "Visual Mailbox".

This bar is only visible when the set is used for the Voice Mailbox. When the set is hung up, or being used for a telephone call, this bar does not appear.

Using the PC multimedia system

Procedure

  1. Go to Voice Mail

  2. In the Play Menu, select Player Device..., then Use PC.

  3. In the list of messages, double-click on the voice message you want to listen to.

The tool bar is displayed under Voice mail.

You can listen to the message through the PC's multimedia system. The message is transmitted over the PC speaker(s).

The PC must be fitted with a sound card for this feature to work.

If you select "Use PC", you can then set parameters for the corresponding sound card. To do this, click "Volume Control…" in the "Play" menu.

Listening to the message

  1. To listen to the message click [image] .

  2. To temporarily stop listening to the message, click [image] .

  3. To resume after a pause, click [image].

  4. To stop listening to the message, click [image] .

  5. To listen to the previous or next message, click respectively [image] or [image].

  6. To listen again to the message, click [image] .

Activate or de-activate sequential message play

Procedure

  1. Go to Voice Mail

  2. In the menu bar, select Play, then Perform Sequential Play.

You can listen to your messages one after the other.


Record messages

You can do the following:

Record a new message

Send a recorded message

Save a message in .wav format

Record a new message

Procedure

  1. Go to Voice Mail

  2. In the File menu, select New Voice Message or click on [image] in the icon bar.

The tool bar is displayed under Voice mail.

Recording requires use of the telephone handset.

  3. To begin recording, click on [image]. Your message is being recorded.

  4. To stop recording, click on [image].

  5. To pause while recording, click on [image].

  6. To resume after a pause, click on [image].

  7. To listen to the message you have recorded, click on [image].

  8. To delete the message you have recorded, click on [image].

Recording stops automatically after a few seconds' silence.

Send a recorded message

Procedure

  1. Record a message.

  2. Click [image]. The Forward selected Message window opens.

  3. Select the message recipients in the scrolling list.

  4. Double-click them or use the following transfer key to put them in the list of recipients:

  5. Click on Send.

Save a message in .wav format

Procedure

  1. Go to Voice Mail

  2. In the list of messages, click on the voice message you want to save.

  3. In the File menu, select Save As..., or in the context menu, select Save As....

The current message is saved in .wav format, in the directory of your choice.


Transfer messages

You can do the following:

Forward a message, with Vocal Comment

Forward a message, without Vocal Comment

Forward a message with Vocal Comment

Procedure

  1. Go to Voice Mail

  2. In the list of messages, click on the voice message you want to forward.

  3. To bring up the recording toolbar, you can:

In the Play menu, select Forward, then With Vocal Comment, or

Select Forward, then With Vocal Comment in the context menu.

The tool bar is displayed under the Voice mail.

  4. Record your comment.

  5. Send the message with Vocal Comment.

Forward a message without Vocal Comment

Procedure

  1. Go to Voice Mail

  2. In the list of messages, click on the voice message you want to forward.

  3. To bring up the recording toolbar, you can:

In the Play menu, select Forward, then Without Vocal Comment, or

Select Forward, then Without Vocal Comment in the context menu.

  4. Send the message without a vocal comment.

See also

Menu bar

Record a new message


Delete messages

The following actions can be carried out:

Delete a message

Delete all messages

Delete a message

Procedure

  1. Go to Voice Mail

  2. In the list of messages, click on the voice message you want to delete.

  3. To delete a message, you can:

Click [image] in the icon bar.

In the Edit menu, select Delete.

Right click in the window showing the list of messages received. The context menu is displayed. Click on Delete.

Delete all messages

Procedure

  1. Go to Voice Mail

  2. In the Edit menu, select Delete All.

All messages for the subscriber in the PCX are deleted.


Person leaving a message

You can do the following:

Display the record held in the PIM

Create a new record in the PIM

Call back the person who left a message

Display the record held in the PIM

Procedure

  1. Go to Voice mail

  2. To display the record in the PIM for the person who left the message, you can:

Click [image] in the icon bar.

Right click in the window showing the list of messages received. The context menu is displayed. Click Sender, then Popup Correspondent Card.

Create a new record in the PIM

Procedure

  1. Go to Voice mail

  2. Right click in the window showing the list of messages received. The context menu is displayed.

  3. Click Sender, then New contact.

The new contact record is displayed.

  4. Fill out the fields in the contact record. These fields will differ according to the PIM used (Act, Goldmine, Outlook).

The Phone number field will be filled in automatically.

To make the record identifiable and usable, the Last name and First Name fields should be entered.

Call back the person who left a message

Procedure

  1. Go to Voice mail

  2. To call back the person who left a message, you can:

Click [image] in the icon bar.

Right click in the window showing the list of messages received. The context menu is displayed. Click Sender, then Call.

You are connected to the person who left the message.


Control the message playback volume

Procedure

  1. Go to Voice mail

  2. In the Play menu, select Volume Control....

The volume control panel is displayed.

  3. Change the playback volume as desired.

The "Volume Control…" option only shows up when you select the PC multimedia system as playback device.


Use with an e-mail application

The administrator can configure and activate the "Voice mail notification in e-mail" feature on the PCX. Users will then be able to receive their voice mails in their In boxes.

A message transmitted in an e-mail, as a .wav format attachment, can be consulted in:,

any e-mail application when using a PCX.

Procedure

  1. Open the e-mail application.

  2. Select the messages directory.

The messages appear in the In box.

The information supplied on the message line is the following::

The icon for messages from the Voice Mail (only when using a PCX of an old version).

The message file indication, as an attachment, in .wav format, for use with the PC multimedia system.

The message origin information.

The Visual Mailbox message reception date.

  3. To read a message, double click the attachment.

See also

Voice Mail


Assistant Window

Assistant Window is available from the "Team" or "Operator" profiles.

Assistant Window is the display mode optimized for an assistant. This mode makes call transfers quick and effective.

Access

To access Assistant Window, proceed as follows:

  1. Go to the Phone Window.

  2. In the View menu, select Assistant Mode. The Assistant Window is displayed.

Functions

Assistant Window uses the telephony functions from the Phone Window except for vocal frequencies, deflect call, automatic callback and initialize a conference.

Assistant Window also has a Statistics tool (a tool which helps with distributing telephone calls).

Assistant Window lets you:

Configure the Assistant Window window display

Make a call from the Assistant

Enable transfers in supervised or unsupervised mode

Program call forwarding

Program or use functions keys (as in the Phone Window)

See also

Using the application

Configure the Assistant Window

First steps with the application


Presentation of Assistant mode

Presentation of Assistant Window

Assistant Window is made up of the following command bars and areas:

Menu bar

Command bar

Calls area

Dialling area

Information area

Menu bar

The menu bar contains the following menus:

File

This menu is used to:

Open the Personal List, the Call Log, the Voice Mails, the Supervision and the Statistics.

Close the application

Exit the application

View

This menu is used to:

Display the Phone Window or the Assistant Window

Display or hide the Menu Bar

Attach Supervision

If the Menu Bar is hidden and you want to display it, right-click below the Information Area.

Tools

This menu is used to:

Change and Remember Password

Enable Blind Transfer, Small Call Control Window, Statistics, Online Update and Options.

Help

This menu is used to:

Check the Help Contents

Access Online Update more info...

Register...

About...

Command bar

The command bar is composed of the following icons:

- To access Personal List.

- To access Call Log.

- To access Voice Mails.

- To access Supervision.

- To access Statistics.

- To Set Forwarding.

Calls area

Current calls are shown in the Calls area.

If the alarm boxes have been activated under the configuration Assistant tab, the call is in alarm mode and changes colour when the pre-defined threshold is reached.

Dialling area

The Dialling area is composed of:

The Dial field

A control bar for dialling:

Dialling by number,

Dialling by name.

An incoming call may be transferred simply by clicking on one of the Supervision window buttons, or by dialling a name or number from the window directly.

To view additional information for dialling by name in the Assistant Window, don't check the option "enable search by name in supervision" in the Assistant Configuration.

Information area

This area contains the following tabs:

Favorites

During an incoming call, this tab lists the phone sets to which an identified correspondent has been directed. The maximum number is four phone sets.

Let us assume that a Mr. Smith is calling.

You (as an assistant) pick up the call. Mr. Smith explains that he wants to speak to Mrs Stuart. Using dial by name or using the supervision window, you dial Mrs Stuart and transfer the call.

A week later, Mr. Smith calls again. The "Favorites" tab shows whom Mr Smith has been transferred to last time. So if Mr Smith wants to talk again to Mrs Stuart, the transfer will be quicker using the Favorites tab.

In the Favorites tab, the list is sorted according to the configuration of Assistant Window (Sort by date / Sort by number). Configure Assistant Window

Buttons

This tab stores the functions you defined.

  1. Click any available key to create a shortcut.

  2. The Set Programmable Buttons window displays.

  3. Select a function, fill in the Name and Phone number fields and click Save.

  4. The function is now on the Buttons tab. Click the function icon to activate it.

Call Board

This tab shows the calls received and unanswered.

Right-click on any line to display the following contextual menu:

This menu enables you to know the Details of every unanswered call, to Delete some or all of them and to Dial the number of the selected call.

Redial

This tab allows you to dial again any number you previously dialled.

Double-click any number in the Redial tab to make a call.

See also

Assistant Window

First steps with the application


Keyboard shortcuts

All of the functions offered by Assistant Window are accessible with the mouse.

To make call distribution easier and quicker you can use the following keyboard shortcuts:

Space bar: Answers the first call in the queue. If the person being called is engaged, the incoming call is put on hold.

Control + numeric keypad "1" to "7": Used to:

answer a call selected from the list of calls in the queue.

resume a call on hold. If the person being called is engaged, the incoming call is put on hold.

Enter: To dial a number.

Escape + Numeric keypad "-": Hangs up on current call.

Escape + Numeric keypad "+": Puts the call on hold.

Escape + Numeric keypad "/": Transfers the current call.

These shortcuts are not default functions. The option Enable Keyboard Shortcuts must be enabled when configuring the Assistant.

See also

Assistant Window

Presentation of Assistant Window


Enable transfers in supervised or unsupervised mode

Procedure

  1. Access Assistant Window.

  2. Click Tools, then select Options.
    The Configuration screen shows up.

  3. Click the Assistant tab and check either of the two boxes in Action of Buttons (with a Current Call):
    Make a transfer:

Unsupervised: to enable transfer in unsupervised mode.
In Unsupervised mode, the call is processed as a simple incoming call after it has been transferred.

Supervised: to enable transfer in supervised mode.
Supervised mode means a transfer with two separate steps:
Call the recipient then transfer the active call to him. It is possible to cancel the transfer.

See also


Program call forwarding

This function enables:

Immediate forward to the phone set shown in the P hone window.

Forward on busy to the phone set shown in the P hone window.

To set the phone set to a particular mode, which makes it available (in this case, the Phone Number window does not need to be filled in).

Procedure

  1. Access Assistant Window.

  2. In the control bar, click on [image] .

From the menu that shows up, you can select:

  3. To carry out an immediate Forward to Voice Mail.

  4. To carry out a Text Forward.

  5. To Cancel Forward.

See also

Assistant Window

Forward Setup


Statistics tool

Description

The Statistics tool lets you define the period for which you want to retrieve data. This data is in .CSV file format, for use with Excel for example.

The following information is given for each day:

Number of calls received

Number of unanswered calls

Number of calls transferred

Number of returns to operator

Time to answer (average in seconds)

Time to transfer (average in seconds)

To create a file, select Export… in the File menu.

Configuring the Statistics

  1. In Phone Window, click Tools, then select Options.

  2. The Configuration window displays.

  3. Click the Assistant tab and tick the Enable Statistics checkbox in the General Options area.

  4. Click Apply and OK.

In Assistant Window, select Enable Statistics in the Tools menu.

Access

To access the Statistics tool, click on the Statistics icon [image] in Assistant Window or click File / Open / Statistics.

The Statistics window is displayed.

See also

Assistant Window


The Supervision window

The Supervision window enables the user to display and monitor the phone sets of several PCX's.

For SIP phones, the status information is not updated in real time as for other sets.

Up to 2500 users are available for the entire network with a maximum of 250 per PCX, regardless of the number of PCX's.

Depending on network, connections and subscribers number, there may be some performance issues.

The Supervision window is only accessible from the "Team" profile.

Access

To access the Supervision window, click on [image] in the Phone Window or in the Assistant Window window.

Interface

The Supervision window is the same, whether PIMphony is connected in multi-site mode or in mono-site mode.

The Supervision window displays in an independent window. This window can be resized (using the mouse to drag a border), maximized, minimized and closed (with the standard controls in the title bar).

The Supervision window is made up of the following tabs:

Persons

Sites

Groups

Each tab is in fact a different view of the users existing on the PCX or the PCX network. It contains a list of cards (one card per person) and a display filter list box on the right. It is impossible to add another tab to the view.

Displaying the cards

The cards can be ordered by alphabetical (Ascending or Descending) order of the last name or by numerical (Ascending or Descending) order of the phone number, depending on the data displayed on the card title.

Each tab can have its own order. For example, the Persons tab can be ordered by ascending name and would display names in the card title while the Sites tab can be ordered by descending number and would display numbers.

A right click in an empty area of the tab displays the tab context menu. This menu allows to select the data displayed in the cards titles and to choose the cards sort order:

Names: displays full names in the cards title, cards are ordered by last name.

Phones: displays the phone number and the last name in the cards titles; cards are ordered by phone number.

Sort Ascending: selects ascending sort order for the cards (name or phone).

Sort Descending: selects descending sort order (on name or phone).

Procedure

  1. Open the Supervision window

  2. Right-click in the Supervision window. The context menu displays.

  3. Select how you want the cards to be sorted.

See also

Assistant Window


Supervision general presentation

Preferred cards area

At start up, the preferred cards area is empty and cannot be resized.

When you place the first card, the preferred cards area is resized in order to accommodate the card. When you remove the last card, the preferred cards area is resized to the minimum.

You can resize the preferred cards area as soon as you have placed a card in it.

Any card you put in the preferred card area disappears from the group it belonged to.

Putting a card in the preferred cards area

Right click on a card to display the contextual menu.

Click on the Add to Preferred Cards option.

The card is moved to the Preferred cards area of the Supervision window.

Please note the card is removed from the Card area.

Click on the Remove from Preferred Cards option to put it back into the Card area.

Filter selection list

The filter selection list on the left of the tab pane contains all available display filters for this pane.

Selecting a filter allows to display all users (select “All”) or only a subset (other selection).

Each tab pane has its own filters and its own filtered views: a filter applies only to the current tab; when changing tab, another filter is used and when returning to the first tab, the first filter is reapplied.

The active filter is displayed with a highlighted background in the filter zone to know what the user is displaying on the Supervision window.

The cards can be filtered using an alphabetical filter. The filter selection list displays the initial of the last name of all cards (every letter is listed). When choosing a letter, only the cards which corresponding last names that start with the letter selected are displayed. To display all cards again, just select “All” from the filter selection list.


Card description

A card is a visualization of a phone set.

By default, all cards display the Last Name and First Name of the person the card represents.

It is possible to select to display the phone number instead of the name. In this case, the last name is displayed just after the phone number.

If no name is defined for a person, the phone number is automatically displayed.

To change the information displayed in the title zone, use the tab popup menu and select Names or Phones (note that this changes display for all cards in the tab).

The cards are displayed in small view when the Supervision view is first opened. The small view contains the state icon, the card title zone and a button used to switch the card from small view to full view. Users can move the cards to their preferred card section, the cards are then always opened in full view.

Filter selection list

The filter selection list on the left of the tab pane contains all available display filters for this pane.

Selecting a filter allows to display all users (select “All”) or only a subset (other selection).

Each tab pane has its own filters and its own filtered views: a filter applies only to the current tab; when changing tab, another filter is used and when returning to the first tab, the first filter is reapplied.

The active filter is displayed with a highlighted background in the filter zone to know what the user is displaying on the Supervision window.

The cards can be filtered using an alphabetical filter. The filter selection list displays the initial of the last name of all cards (every letter is listed). When choosing a letter, only the cards which corresponding last names that start with the letter selected are displayed. To display all cards again, just select “All” from the filter selection list.

See also

Assistant Window


Card small view

Title with name:

Title with phone:

State Icons

The state icon shows the current status of the user's phone set.

The possible status are the following:

State | Icon
Ready |
Ringing |
Ongoing call |
Forward immediate to xxx |
Forward to voice mail |
Text forward |
Forward on busy |
Forward to Office2 |
Forward to Home |
Forward to Mobile |
Forward No Answer |
Do not disturb |
Nomadic mode |

A tool tip containing the current state in full text is also displayed.

The Switch View icon allows to toggle the card between small view and full view. This button contains one of the following icons:

In small view, to switch to full view:

In full view, to switch to small view:


Card full view

In full view, the title area remains the same as in small view. Note that the Switch view icon has changed shape.

The action icons area contains icons used to perform some common Supervision actions:

Transfer to VMB (Voice Mail Box) [image]. This icon enables the assistant to transfer a call to someone's voice mail (If the assistant sees that the person is already in conversation, for example).

The Properties button, [image] used to change editable data.

This button enables the user to open the Operator console from the Supervision view, select a user and choose the Properties option in the popup menu. In the tiny and full card views, the Properties button opens the Properties dialog box..

The state area contains a text detailing the phone state. The following states can be displayed:

Forward State | State area Device is free | State area Device is busy
No forward | Ready | In call or Ringing
Forward immediate:"destination" | Forward to destination | Forward to destination
Forward on busy: "destination" | Ready | Forward to destination
Forward on no answer: "destination" | Ready | In call or Ringing
Do Not Disturb | Do Not Disturb | Do Not Disturb
Text forward:"Text" | Text | Text
Nomadic | Ready | In call or Ringing

Other icons may be added for a future use.

The information area displays available data for the user:

The E-mail address, if any, can be selected to send an e-mail to the person with the default e-mail client defined on the computer. The new e-mail comes up with the destination address filled out with this address.

Business phone and Home phone can be used to place a call to one of these numbers, if they contain a value.

Click any icon with a green background to complete the corresponding action.

In full view, a red bar appears on the right side of the card if you searched by name in Assistant Window.

Assistant Window

Command bar for dialling


Multi-site Supervision

The Supervision window can display and monitor the phone sets of several PCX's or PCX networks.

For SIP Phones, status information is not updated in real time as for other terminals.

Up to 2500 users will be available for the entire network with a maximum of 250 per PCX, regardless of the number of PCX's or PCX networks. Depending on network, connections and subscribers number, there may be some performance issues.

The network topology is configured in PIMphony in Operator profile connected to the PCX reference site, and saved on each PCX. This configuration is not linked to OMC multi-site. This topology is configured and read by PIMphony through the Central Services, and used to connect to the different PCX on the network.

If PIMphony is used on a PCX network, the Supervision view displays information from all configured sites, i.e. the PCXs in the network.

If PIMphony is used on a single PCX, only data from the PCX to which PIMphony is connected to is displayed.


Supervision Properties

Supervision tabs

The Supervision window contains a collection of user configuration parameters grouped in a set of tabs:

Persons

Sites

Groups

You can only modify a card if you are in Operator mode or if you are monitoring the corresponding telephone set.


Persons Supervision tab

The persons cards can be displayed in alphabetical order by means of a filter.

The filter list, on the right side of the screen, displays the initials of the last name of all cards (each letter is only listed once). Click "All" to display all names or just click any letter to display the corresponding cards.

The Persons tab shows the list of all of the phone sets declared on the PCX. This list is downloaded on each start-up of the application.

Procedure

  1. Go to the Supervision window.

  2. Click the Persons tab.

  3. Access the context menu by right clicking the card.

  4. Select Properties in the context menu.

The Properties window opens and displays the Person properties.

  5. Fill in the fields as desired.

  6. Click OK to confirm.


Sites Supervision tab

The cards can be filtered by site. The filter list, marked Sites, on the right side of the screen, shows all the existing sites.

The filter list enables the user to display only the cards from the selected site.

To display all cards again, just select All from the filter list. The network reference site is displayed first (after All) in the site filter list.

The site name on which the application is used is displayed in bold in the filter zone.

If the application is used on a single PCX, only one site is displayed after the All filter.

If the link to a site is not working, its name in the filter list is greyed.

The Site tab behaviour is different depending on the profile:
Team: You can only use supervision on your site.
Operator: You see every site and can do supervision on every site.

You can add a site and remove a site when you are in the Sites screen.
To add a site: Right-click in the Sites area and select Add Site. The Add Site(s) dialog box pop ups
To remove a site: Select a site in the Sites area, right-click on it and select Remove Site.

You can update all the nodes with the topology of the local node, seen on the Sites tab. Use the Update button in case of connectivity problems.

Site Properties

Procedure

  1. Go to the Supervision window.

  2. Click the Sites tab.

  3. Access the context menu by right clicking a site in the filter list.

  4. The Site Properties window opens.

  5. Check the General area for the site.


Groups Supervision tab

The cards can be filtered by group name.
The filter list on the left side of the screen, displays all existing group names and the user can click any group and display its members.

Click "All" to display all groups.

Click a group name to display this group members.

When starting the Supervision view for the first time, the Group name of each card is empty and the group filter list has only the "All" entry.

Creating a new group

  1. Right-click in the filter list.

  2. Select Add in the context menu. "New Group" displays in the filter list.

  3. Type in the name you want to give to this new group and press Enter.

Adding members to a new group

  1. Click "All" in the filter list.

  2. Point to the member you want to add to the new group and drag and drop it in the new group in the filter list.

  3. Repeat for each member you want to add to the new group.

  4. Click the new group to check that all the members you have selected are included.

You cannot put a member in different groups.

Declaring an Assistant in a group

  1. In a group, decide on the member you want to be the Assistant.

  2. Right-click the member. The context menu shows up.

  3. Select Set Assistant.

  4. The member's name font changes to Italics to show this is the Assistant.

  5. Right-click the member and select Remove Assistant when you no longer want the member to be the Assistant.


Operator

Supervision properties (Operator console)

The Supervision properties behaviour is different depending on the profile:
- Team: properties in read-only
- Operator: properties in read-write (this is called the "Operator console"). Operator login is necessary.

The Properties window

With the Operator profile, the Properties window contains a collection of user configuration parameters grouped in a set of tabs:

Person

Phone

PIMphony

Settings

The OK button allows to save the changes and closes the window. The Cancel button closes the button and discards any change.

Functions specifications

The Operator profile enables a user to consult Central Services parameters or enables an authorized user to access and manage a set of Central Services parameters.

User Configuration | Access (Read / Write)
Set first name and last name | R / W
PIMphony client (Profile, Version, Type, State) | R
Reset password to default value | W
Account lock / unlock | R / W
E-mail address | R / W
Device language | R / W
Call barring | R / W
Online Update | W
Nomadic Right | R / W
Forward state | R / W

Access the Supervision screen to view and manage the User Parameters.

PCX function | Access (Read / Write)
Date and time | R / W
Create and update network topology | R / W

Access the PIMphony Configuration utility to view and manage the PCX functions.

An Operator password is required to be able to manage these parameters and to change any value.


Person properties

The Person tab contains general user information:

First Name and Last Name; their concatenated length (last name + separator character + first name) cannot exceed 16 characters; if necessary, first name and last name will be shortened to fit to this limit. If the user has a twin set, the name (first + separator + last name) of the second set will be erased.

These 2 fields are available for modification on the local site only.

Email defines the e-mail address.

Site defines the site the person belongs to.

Account allows to view the account state (locked/unlocked) and to lock or unlock the user account (for example when the account is locked after three unsuccessful login attempts).

Disabled for SIP phones, since SIP phones cannot be associated with PIMphony.

The Reset Password checkbox may be used to reset the user’s password to the default value.

See also

Supervision tabs

Phone properties

PIMphony properties

Settings properties


Phone properties

The Phone tab contains the list of phone numbers that can be used to reach the person.

Business contains the main set number. This value cannot be modified.

Language changes the main phone set language, as well as the associated twin set. The 4 system languages are proposed. For example, in a French PCX:
– English;
– French;
– German;
– Spanish.

Call Barring allows to select the barring level of the main phone set and twin set; available levels are:
– Very Low ( the lowest barring level allowing the highest call possibilities);
– Low;
– Middle;
– High.

Nomadic Right allows to change the right for this user to set the nomadic mode (disabled for SIP phones).

The Nomadic mode is disabled for SIP phones.

Business2 contains the second phone set or twin set number as well as the set type. If
there are more office phones or more than two phones in the multi set, they are not listed here. In case of a multi-set, the number may not be changed.

Other phone numbers (Home, Mobile, and Other) can be listed here. They are stored in the PCX Central Services and can be changed by any user.

See also

Supervision tabs

Person properties

Settings properties


PIMphony properties

The PIMphonytab is disabled for SIP Phones.

The PIMphony tab contains PIMphony specific data:

Profile shows which profile is currently set by the user (basic, pro, team, operator).

Type indicates if the PIMphony is configured as an PIMphony IP set or to monitor a physical set.

Current Version contains the current PIMphony version for that user.

Update Now checkbox allows to ask a PIMphony update for this user.

If PIMphony is not installed, the Profile, State and Current Version fields will be empty; the Update Now checkbox will be inactive.

See also

Supervision tabs

Person properties

Phone properties

Settings properties


Settings properties

The Settings tab contains all other user settings, used to change the forward settings of the phone set:

No Forward or Forward to (number)

Immediate on voice mail: forward all calls on voice mail box;

Immediate: forward all calls on the specified number (the number edit box is grayed and inactive as long as this option is not selected);

Text: text message forward, along with an edit combo box (the combo box remains grayed and inactive as long as this option is not chosen). The combo box contains up to ten previous text messages, the edition box in the combo allows to add or change a message. See Program text forwarding

Text forward is not present for SIP phones

Cancel: cancel all forward settings.

See also

Supervision tabs

Person properties

Phone properties

Application properties


The Nomadic mode

Nomadic mode

Presentation of the feature

In Nomadic mode, any call made from a mobile phone, for example, goes through the PCX.

The PCX calls back the mobile phone and also calls the number dialled. The PCX then links the mobile phone to the called party and the mobile phone is not charged!

The mobile phone is managed by a software that permits real mobility. The Nomadic mode can be enabled and disabled.

Enabling the Nomadic mode means transferring all the functionality of a usual business phone set to a second phone set and use the latter one.

Disabling the Nomadic mode means giving back all the functionality to the usual business phone set.

The application can enable and disable the Nomadic mode and can specify the nomadic destination number on any phone set it controls.

The Nomadic mode can also be enabled or disabled through the remote configuration tool of your mailbox.

See also

Features and profiles

Programmable function key window


Configuring the Nomadic mode

Configure Nomadic mode

The Nomadic feature must have been set in Central Services for the Nomadic mode function to be available and the Nomadic right must have been set by your PCX administrator.

The Nomadic mode is not supported by SIP phones.


Setting a Nomadic mode function key

Set a Nomadic mode function key

  1. Open the Phone Window.

  2. In the View menu, select Show Programmable Buttons.

  3. The Programmable function key window shows up.

  4. Click any available key, the Set Programmable Buttons screen displays.

  5. Select Nomadic mode in the Select a Function area and fill in the Name and Phone number fields.

  6. Click Save.


Using the Nomadic mode

How to use the Nomadic mode

The Nomadic mode remains active as long as the user does not cancel it, even if the application is closed.

Reminder: The Nomadic mode is not supported by SIP phones.

The Nomadic mode is enabled using a speed dial key. This key is defined in the “Programmable function key window” .

When selecting “Nomadic mode”, the edition zone layout of the dialog box is the following:

The Nomadic mode function is not available if the right to use the nomadic feature is not set in Central Services.

The edition zone allows to give a name to the speed dial key and to define the phone number to which the calls will be directed. If no phone number is specified, it will be asked to the users when they enable the function.

The key name then appears along with the other speed dial keys where it can be used to enable the Nomadic mode.

A tool tip shows the Nomadic mode and the destination number (as well as the current forward mode)

To cancel the Nomadic mode, see Setting a Nomadic mode function key.

To cancel the Nomadic mode, Click the Forward zone and select "Cancel Forward" or make sure the corresponding feature key has been defined via the Set Programmable Buttons dialog box.

  1. Right-click a key with Nomadic mode in the Programmable function key window.

  2. Click Modify in the Contextual menu that shows up.

  3. The Set Programmable Buttons screen shows up.

  4. Select Cancel Nomadic mode and click Save.

  4. Click on the programmable button created at the previous step, the Nomadic mode is disabled.


Multi-site feature

Multi-site features

What are Multi-site features?

Multi-site features, which are accessed through Supervision, enable you to display and monitor the phone sets of several PCX's.

The entire network can support up to 2500 users, with a maximum of 250 per PCX (regardless of the number of PCX's).

Depending on network connections and the number of subscribers, there may be some performance issues. See Multi-site Supervision for more information.

The network topology is configured with PIMphony in the Operator profile connected to the PCX reference site, and saved on each PCX.

This configuration is not linked to the OMC multi-site.

The topology is configured and read by PIMphony through the Central Services, and used to connect to the different PCX's on the network.

If PIMphony is used in a PCX network, the Supervision view displays information from all the network-configured PCX's.

If PIMphony is connected to a single PCX, only data from that PCX is displayed.

Multi-site Supervision

Restrictions

Multi-site features are only possible if all sites of the network are connected together through IP links (all the PCX's must be accessible from the application).

Multi site is not supported by any version of OmniPCX Office 4xx.

The network must have an homogeneous numbering plan.

An Operator session is necessary to create the network.


Online Update

PIMphony can be configured for automatic updates. In this case the application is automatically updated when updates are available via the Internet.

All the necessary parameters for online updates can be configured from the Online Update tab in the PIMphony configuration window. The overall online update policy is determined by the system administrator via OmniPCX Management Console, who can enable/disable the online update feature and configure the following parameters:

Update frequency

Automated Installation after Download

For more information on Online Update, see:


Windows Actions

The following Windows actions are available in the application:

Copy and paste

Drag and drop.

"Copy and paste"

You can use "Copy and paste" to recover phone numbers from Windows-compatible applications such as Notepad, Microsoft Word or Microsoft Excel. To do this:

  1. Select the number to be copied from the relevant application, and

  2. Copy it (CTRL + C or "Copy" in the Windows context menu). The number is saved in the Windows Clipboard.

It can then be pasted either:

into the Dial field in the Phone window, or Assistant Window

into the Phone Bar field.

With the New Call window opened by right-clicking on the Dialler, the number is pasted in automatically.

"Drag and drop"

For the "drag and drop" function to work, the "source" and "target" windows must both be open.

You can use "drag and drop" to retrieve phone numbers from a contact manager record. To do this:

  1. Left-click on the record ("source" window), and keep the mouse button pressed down.

  2. Position the mouse cursor over the relevant (target) field in one of the following windows:

The Phone window,

The Assistant window,

The Phone bar,

The New Call window opened from the Dialler.

See also

Presentation of the application


Command line parameters

Command line parameter

The application can be started with a command line parameter (the phone number of your correspondent) in order to start the application and call your correspondent at the same time.

If the application is not already running, the call is made after it has been started.

If the application is already running on the PC, the call is made immediately.

Shortcuts can be placed on the desktop or hard disk to make a call by double-clicking the shortcut.

Syntax

>path\aocphone.exe param

.. path = directory where PIMphony is installed

aocphone.exe = PIMphony executable

param = remote number to be called.

Example

>aocphone.exe 0312345678

to start PIMphony and call 0312345678.


Abers Wizard

Audio Wizard

The Audio Wizard starts with a welcome screen. The second screen shows a list of audio devices detected on the computer and available for use as speaker and/or microphone.

The user may select the audio devices that will be used by PIMphony.

Input and output devices may be different.

On this screen, it is also possible to select the ringing device on an incoming call as well as the wav file to play on ringing.

A secondary ringing device may be configured, it will ring at the same time as the main ringing device and use the same wav file. An automatic echo cancellation option may be toggled on or off, depending on the user’s configuration.

If an ALE International compliant handset/headset has been detected, a screen that enables the user to configure the hang up function is displayed. If this function is selected, the user will be able to pick up and hang up a call directly from the audio device (with the corresponding button on the headset, for example).

ALE International compliant handsets and headsets are listed in the Readme.txt file.

The next screen allows the user to test and configure the sound output level. The level may be adjusted using the sliders. If a second ringing device has been configured, the sound output level screen is shown twice, once for each device, and may be adjusted separately. Sound output for the secondary device is only used for ringing purposes, not for conversation reproduction.

The next screen allows the user to test and configure the sound input level. The input level may be adjusted using the sliders. When the user speaks in the microphone, the recorded sound is reproduced on the output device. Output level depends on the settings defined for the primary sound output device, so the user may have to come back to a previous screen to fine-tune the initial settings.

On the last screen, if the user validates the settings, they are written in the configuration file used by PIMphony. When changing input and output devices as well as the pick up/hang up function, it is necessary to restart PIMphony before changes are taken into account. Sound input and output levels are updated dynamically, without restart.


Installation Manual

Introduction

The application is delivered on a CD-ROM that contains the software, the installation program and the Online Help which includes the installation manual.


Technical Specifications


General Conditions

You must be connected to an OXO Connect R2.0 or OmniPCX Office R5.0 or higher.

PIMphony can be used with a direct connection to the PCX or with a TSE (Terminal Server Edition) topology. It may also be used as an IP phone. Regardless of the configuration or the topology used, PIMphony always uses the same installation procedure for each client.


PC_Hardware_Requirements

PC - Hardware Requirements

Hardware Aspects

Your PC must have the following minimum specifications:

Processor: Pentium 300 MHz or higher, Pentium II 300 MHz for the IP version

RAM: minimum 64 MB

Hard disk: 2 GB (140 MB free space available for PIMphony installation)

VGA graphics board: 1024x768 pixels minimum.

Ethernet Board, keyboard and mouse

CD-ROM drive

USB port or serial port : for use of a headset with PIMphony IP

Windows-compatible sound board with integral duplex manager: required if IP mode is used (SoundBlaster 32PnP, SoundBlaster 64PnP, SoundBlaster-compatible sound board, etc.).


PC - Software Requirements

Software Aspects

For more information concerning the supported OS and the software prerequisites, see the "readme" file.


Interactions


PIMphony IP and Quality of Service

PIMphony IP and Quality of Service (QoS)

When PIMphony is used in telecomputing mode over slow links such as STN or ISDN, there is always a bottleneck between the client and the Internet service provider. For this reason, it is better to set up the quality of service.

Warning: wireless LAN is not supported in IP mode

Activation

The quality of service only works from Windows 2000 onwards and is not available on older versions of Windows.

PCX configuration

For VoIP parameters, the IP quality of service needs to be enabled by selecting one of the following values:

00000000_DIFFSERV_BE

01100000_IP_PRECEDENCE_3

10100000_IP_PRECEDENCE_5

10111000_DIFFSERV_PHB_EF

For each of these four values, the corresponding QoS marking must be enabled in Windows:

00000000_DIFFSERV_BE: no QoS marking

01100000_IP_PRECEDENCE_3: SERVICETYPE_CONTROLLEDLOAD
(DSCP hex value: 18)

10100000_IP_PRECEDENCE_5: SERVICETYPE_GUARANTEED
(DSCP hex value: 28)

10111000_DIFFSERV_PHB_EF: SERVICETYPE_GUARANTEED
(DSCP hex value: 28)

with a restriction which consists in applying a mask (11100000) to the marking, so that the system marking matches that of Windows.

Windows Configuration

Follow the procedure below to install the QoS packet scheduler.

Procedure

  1. Open Network connections and remote access.

  2. Select the local network connection where the QoS packet scheduler is to be installed.

  3. Select Menu, then Properties.

  4. Click Install, Service, then Add.

  5. Choose QoS packet scheduler.

  6. Click Ok.

In the register:

  1. Add the key HKLM\SYSTEM\\CurrentControlSet\Services\Qossp.

  2. Add a DWORD value called EnablePriorityBoost under this key, with value 1.

Warning: To perform these operations, you must be connected as the administrator.


PIMphony and Microsoft Terminal Server

PIMphony can be installed under Microsoft Windows 2000, 2003 or 2008 Terminal Server.

Warning: PIMphony IP cannot be used under Microsoft Terminal Server.

Hardware Configuration

Your PC must have the following minimum specifications:

Processor

With Windows 2000 server: PIII 450MHz.

Between 25 and 35 users can be connected at the same time to the processor. See Microsoft document "Windows 2000 Terminal Services Capacity and Scaling" on the web page:

Windows 2000 Terminal Services Capacity and Scaling

With Windows Server 2003: PIII 900 MHz.

The number of simultaneous users depends on the type and number of processors and the available memory. For example, there can be up to 50 simultaneous users with a PIII 900 MHz. See Microsoft document "Windows Server 2003 Terminal Server Capacity and Scaling" on the web page:

Windows Server 2003 Terminal Server Capacity and Scaling

With Windows Server 2008: x86 processor 1 GHz or x64 processor 1,4 GHz.

RAM with Windows Server 2000 and 2003

It is recommended that 128 MB of RAM be installed for the operating software, plus at least 8 MB per expected simultaneous user. For example, a server to be used by 15 simultaneous users would require at least

248 MB of physical RAM : 128 MB + 8 MB * 15 users = 248 MB

For users running memory-intensive applications, such as a client/server application with a large memory requirement, you must increase the quantity of RAM assigned for each user. Each server must have enough physical memory to ensure that the swap file (Virtual memory) is hardly ever used.

For PIMphony (70 MB ) the minimum is:

128 MB + 70 MB * 15 users = 1178 MB.

RAM with Window Server 2008

Minimum 512 MB (required for the operating software).

Maximum with 64-bit systems: 8 GB (Foundation), 32 GB (Standard) or 2 TB (Enterprise, Datacenter).

Hard disk with Windows Server 2000 and 2003

140 MB for installing PIMphony and at least 10 MB per user for data files.

Hard disk with Windows Server 2008

Minimum with 32 bit operating systems: 20 GB

Minimum with 64 bit operating systems: 32 GB

Foundation: 10 GB or greater

Note: Computers with more than 16 GB of RAM require more Hard disk capacity to support paging, hibernation and dump files.

CD-ROM drive

Ethernet Card

Software Configuration

The operating system installed on your PC must be:

Microsoft Windows® 2000 Server, Microsoft Windows® Server 2003, or Microsoft Windows® Server 2008.

The PC must be part of a domain.

Installing PIMphony on Microsoft Terminal Server

Follow the instructions below to install PIMphony on Microsoft Terminal Server.

Procedure

  1. Install, validate and configure Microsoft Terminal Server.

  2. Install and configure PIMphony on the Microsoft Terminal Server computer. The installation procedure on the server follows the same steps as any other PIMphony installation. The application is configured using the PIMphony Configuration Wizard from a remote computer, connected to the terminal server.

Note: PIMphony must be installed on the server after validating the Terminal Server service. In Terminal Server, applications should be installed using the Add/Remove programs command in the Microsoft control panel. The Setup.exe installation program cannot be used directly.

For more information about Microsoft Terminal Server with Windows 2000 Server, see the web page:

Windows 2000 Terminal Services

For Windows Server 2003, see the web page:

Windows Server 2003 Terminal Services

For Windows Server 2008, see the web page:

Windows Server 2008 Terminal Services


PIMphony and mobility

Users of PIMphony standard or IP benefit from greater mobility as these versions use Microsoft 2000 and 2003 roaming profiles.

All PCs must meet the prerequisites of PIMphony client.

You must install PIMphony on all PCs.

For roaming profiles to work properly, you must observe the following rules:

Synchronize clocks on all PCs (using the net time command).

Avoid using roaming profiles with different versions of the operating system.

Install the same versions of the application on all PCs.

Install the applications on the same disk and in the same directories on all PCs.

For more information about roaming profiles in Windows, consult the articles below in the Microsoft knowledge base, on the web page Microsoft Support:

Article 307964: "How to: Configure Client User Profile Information for a Roaming User on Windows 2000".

Article 264866: "How to Use Windows 95 and Windows 98 Roaming User Profiles with Windows 2000 Server".

"Configuring Windows Servers for Travelling Users"

"Implementing Roaming User Profiles" articles in the Microsoft Windows Server 2003 Deployment Kit guide on web page Implementing Roaming User Profiles


Dial by Name

Dial using the PIM

The defaut installation does not support dialling using your Personal Information Manager (Outlook, etc.).

To enable dialling with an external application you have to install TSP (Telephony Service Provider) on your PC:

run the install_tsp.exe file located on the PIMphony CD-ROM and follow the instructions.

In the setup wizard, enter the PCX Name/IP Address and Phone Number and continue the installation.

It is possible to install TSP on a Microsoft TAPI 2.1 server:

run setup.exe file located in the Products\SPI for Microsoft TAPI Server sub folder on PIMphony CD-ROM and follow the instructions.


Restrictions

If you are using PIMphony via Microsoft Terminal Server, PIMphony IP cannot be used.


Limits

A different number of clients can be managed depending on the OmniPCX Office version and the solution installed: Refer to Expert Documentation.

Compatibility Matrix

ALE International OmniPCX Office Communication Server Releases |  | 3.0 or earlier | 4.x | 5.x 6.x 7.x 8.x 9.x 10.x
PIMphony Releases | Release 4.4 or earlier | Not supported: upgrade needed (1) Feature level: PIMphony 4.4 | Not supported: upgrade needed (1) Feature level: PIMphony 4.4 | Not supported: upgrade needed (1)Feature level: PIMphony 4.4
 | Release 5.x (maintenance release for OmniPCX Office 3.x or earlier) | Maintenance Feature level: PIMphony 5.0 | Standard Feature level: PIMphony 5.0 | Not supported: upgrade needed (1) Feature level: PIMphony 5.0
 | Release 6.2 | Incompatible | Incompatible | From Com server R5.0 to R6.1
 | Release 6.3 | Incompatible | Incompatible | From Com server R5.0 to R8.0
 | Release 6.4 | Incompatible | Incompatible | From Com server R5.0 to R8.1
 | Release 6.5 | Incompatible | Incompatible | From Com server R5.0 to R8.2
 | Release 6.6 | Incompatible | Incompatible | From Com server R5.0 to R9.0
 | Release 6.7 | Incompatible | Incompatible | From Com server R5.0 to R9.1
 | Release 6.8 | Incompatible | Incompatible | From Com server R5.0 to R10.x

(1) Runs on this OmniPCX Office release but in case of problems, use the standard PIMphony release for this OmniPCX Office release.


Licenses

Licenses are required in order to use all PIMphony features: Pro, Team, Operator.

Without a licence, PIMphony initially runs in "Try and Buy" mode for 60 days to give customers an opportunity to evaluate the software. After the 60 day trail period, PIMphony goes into Basic mode and requires a licence.

For OmniPCX Office (up to R10.3), the LDAP license comes with any of the Pro, Team and Operator licenses of PIMphony.

For OXO Connect (as of R2.0), the LDAP license comes with any of the Unified (for Pro and Team profiles) and Operator licenses of PIMphony.

If no PIMphony license is available, an LDAP license must be acquired separately.


Security

From OXO Connect R3.2, HTTPS connection mode is used for both local access from the LAN and remote access from the WAN.

Up to OXO Connect R3.1, HTTPS connection mode must be used for remote access from the WAN, and is also recommended for local access from the LAN.


Internationalization

The installation procedure is available in the same localized languages as PIMphony

If the installation program is run again after the first installation (for example to uninstall the program or to change options), the same language will be used.


Operational Specifications


Installation Procedure

PIMphony software is installed from the provided CD-ROM.

Procedure

  1. Insert the CD-ROM in the drive and then select the CD-ROM drive with Windows Explorer. To launch the installation process, click Install in the main PIMphony directory.

  2. The Choose Setup Language window appears. Make your choice and click OK.

  3. The installation program verifies that all required components are present before running the installation procedure. If one or more components are missing they will be automatically installed. You must accept and complete all component installations in order to continue installing PIMphony. The following components are required:

Microsoft .Net Framework 1.1 with the SP1 or Microsoft .Net Framework 2.0

Microsoft WSE 2.0 SP3 Runtime and Microsoft WSE 3.0 Runtime. After installation of these components, you may be asked to restart the computer. After reboot, just launch the installation program again

  4. For Microsoft Windows 8/10/2012, Microsoft .NET Framework 3.5 needs to be installed before installing PIMphony. An internet connection is required for this installation. If Microsoft .NET Framework 3.5 is not installed, PIMphonyinstallation process is stopped and a popup window is displayed. To install the Microsoft .NET Framework 3.5:

Select on your PC the windows Feature available in Control Panel -> Programs and Features / Programs -> Turn windows Feature on or off.

For Windows 8/10: Select the .NET Framework 3.5 check box.

For Windows 2012 server:

- Select Server Manager -> Manage -> Add Roles and Features wizard,

- Navigate to the Features window,

- Select the .NET Framework 3.5 check box.

In case more information is needed, please contact your local administrator.

  5. Carefully read and follow the instructions that appear in the component installation windows. You must accept the terms of all license agreements before you can continue the installation by clicking Next>.
    Note:
    If using Outlook 64 bit version on a 64 bit Microsoft OS, ensure you accept the installation of the Outlook addin in the User Account Control dialog box displayed on screen.

  6. In the Destination folder selection window:

Click Next to accept the default installation folder C:\Program Files\PIMphony, or

Click Change to choose another installation folder for the application.

  7. Click Install to execute the installation.

The Setup Complete window appears to inform you that installation is completed and to suggest you read the "Read me" file for important information about the product. PIMphony can now be started.

If necessary, the installation program prompts you to reboot your PC.


Configuration Procedure

Procedure

To configure PIMphony launch the PIMphony Configuration Wizard:

  1. From the Windows taskbar: Click Start, then select the PIMphony application in the Program/PIMphony menu.
    The PIMphony Configuration Wizard welcome window displays the current configuration data.
    Press Next > to continue.

  2. The "PIMphony Configuration Wizard" window displays again and asks for the PCX name or IP address of the PCX that will be connected to PIMphony .
    Different connections settings can be defined for access from the LAN and remote access from the WAN.
    Select the type of connection in the drop-down list (LAN is selected by default):

LAN: when LAN connection is selected, you have to:

Define the IP address of the PCX. There are two ways to define the IP address:

Manually: in this case you have to fill in the IP address field

Automatically: if the IP address field is blank and if the wizard is launched for the first time, the Detect button is available. Click Detect, the system scans PCXs located in the local network. The list of detected PCX is displayed, select the preferred PCX from the list or type your PCX name/address

Select the connection mode: HTTP/HTTPS (HTTPS is the default mode).
HTTPS is recommended whatever the OXO Connect version, and is mandatory as of OXO Connect R3.2.

By default the destination port to connect to the PCX is 443 for HTTPS
If needed, another value can be defined: refer to Expert documentation

WAN: when WAN connection is selected, you have to:

Define the WAN IP address of the Internet Access Device through which the PCX is accessible

By default the destination port to connect to the PCX is 443 for HTTPS
If needed, another value can be defined: refer to Expert documentation

  3. For configuration of the Internet Access Device, refer to Expert documentation

Select the PIMphony starting mode. By default PIMphony starts in minimized mode when the PC starts. Check or not the corresponding parameters to select how you want PIMphony to start
The same starting options are used for LAN and WAN connections

  3. Both LAN and WAN connection settings can be defined but be careful to select in the LAN/WAN drop list the connection through which the PCX is accessible: The Wizard needs to connect to the PCX before going to the next step.

  4. Press Next > to continue.

  3. Enter your name or telephone number in this window (or make a selection from the drop down box) and then type the corresponding phone set password.

    As of OmniPCX Office R8.2 or OXO Connect R2.0, password length can be 4 or 6 digit-long.

    Associated parameters are automatically configured by the wizard.

    4. SIP Phones cannot be associated to the PIMphony application and are not displayed in the drop down box choices. An error message is displayed if you enter manually a SIP Phone.

    By default, the name and the password are saved and you are not prompted for them every time you start PIMphony. Check or not the corresponding parameter to display or not the window in which you have to enter the name and the password every time you start PIMphony.
    If you entered the default password, you are prompted to change it.

    Press Next > to continue.

  4. In the next window, select the profile of PIMphony to be installed. The choices are:

    Basic

    Pro

    Team

    Operator

    Features and profiles

    Press Next > to continue.

  5. The Dialling Properties window appears to allow you to check the following dialling parameters and change them if desired:

    Area Code

    Country

    Local Access Code

    Long Distance Access Code

    PCX Prefix

    Press Configure to change the dialling parameters or Next > to continue.

    A final window appears to inform you that the installation is complete and displays the selected configuration settings.

  6. Click Finish to validate all information and launch the application.

To modify, add or delete a connection mode, restart the PIMphony Configuration Wizard (You must first quit the application if running):

  1. On the Windows taskbar, click Start

  2. From the Program/PIMphony menu, select PIMphony Configuration Wizard

  3. Launch the wizard again and press Next > to display the PBX/IP address selection screen.

To add a second connection: proceed as described above and click Finish to validate

To remove an existing connection address:

  1. Select the address to be removed in the drop-down list (WAN or LAN) and delete the address from the PBX address edition box.

  2. Select or configure the other address as explained above.

  3. Complete the wizard and click Finish to validate all information and launch the application.

See also


Initialization


Command line format

An optional command line installation procedure allows you to automatically configure PIMphony by specifying a configuration file containing the user configuration parameters. This file is identified when the installation program is launched.

The installation program copies the configuration file to the PIMphony installation directory where it is then used by "PIMphony Configuration Wizard" to automate the configuration of all user parameters as an alternative to answering the wizard's questions.

The command line used to start PIMphony installation must have the following format:

install.exe CONF_INI=path\file

where

path is the path to the confdirect.ini configuration file.

A sample confdirect.ini file is provided on the installation CD. This file contains empty parameters that you must first complete before you can use automated configuration procedure.


Configuration File Format

To configure the LDAP directory, see Configure the Services options.

Configuration file format

confdirect.ini file

Parameter | Description
[Address] | Address heading
Hostname=IPName | IPName = IP address of the pcx
Voipname= IPName | IPName = IP address of the VoIP board
[tapi] | Heading of TAPI parameters
Country=1 | Country code (1 for the United States)
area=617 | Area code (617 for Boston)
Localprefix=0 | Prefix for local calls
distantprefix=0 | Prefix for long-distance calls
[pimphony] | PIMphony parameters heading
edn=125 | Number of telephone extension
Profil=Pro | PIMphony user profile (Basic, Pro, Team, Operator)
[ldap] | LDAP directory configuration
host | LDAP server name or address
base | Root node to start search
port | Port
login | Id (if the directory requires one)
password | Password (if the directory requires one)
show_path | Path to the application that is executed to display a contact file
show_application | Path to the application that is executed on a popup action


Silent installation

PIMphony supports Microsoft Installer's silent installation option that can be used by administrators or company experts.

Information about silent installation can be found on the

Microsoft Web site

To run a silent installation, run the program Install.exe with the –qn command line option:

install.exe –qn.

If you use the command line option –qn+ instead of -qn, a dialogue box will be displayed to indicate when the installation has finished.

PIMphony is installed using the default parameter values. You can specify other values through command line options:

install.exe –qn HOSTNAME=name.

It is recommended that you reboot your PC after a silent installation.


Error Check

If necessary, you can specify a log file where all performed installation tasks will be recorded.

To launch the installation with logging type:

Install.exe –lv c:\log.txt

where c:\log.txt is the location and name of the log file.

The v switch of –lv specifies logging in verbose mode to record the most detailed information.

Other command line switches are also available; refer to the Microsoft Installer documentation for further details.


Comments on using Install.exe

When using long path and filename expressions with command switches, enclose the expressions in double quotation marks. The double quotes tells the operating system that spaces within the quotation marks are not to be treated as command line delimiters.

Do not leave a space between the command line option and the parameter.

Install.exe command line options are case-sensitive.

During the installation Install.exe transfers all command line parameters to the msi file located in the Products subfolder.


Maintenance procedures


Updates

From PIMphony version 5.0 or greater, updates and patches can be installed directly into the application directory and there is no need to uninstall/reinstall the software.

The existing user configuration is kept.

Uninstall any version prior to PIMphony 5.0 to be able to install PIMphony version 6.0 or higher.

To save your former configuration and restore it after you have installed version 6.0 or higher, launch the save.vbs and restore.vbs scripts located in the unsupported\tools directory.

Note, however, that these 2 applications are not supported.


Miscellaneous

This section includes:

A Glossary of the technical terms given in this Online Help.

A list of frequently asked questions and their answers.

Instructions to follow in the event of technical problems.

A statement of the rights associated to the use of the software (Copyright).

Windows Actions.

Command line parameter.

See also

Presentation of the application


Glossary

This glossary gives the main technical terms used in this Online Help:

A B C D E F G H I J K L M N O P Q R S T U V W

Action

Action executed automatically by the Popup when a specific event occurs (e.g. contact window Popup).

PIMphony

Application providing the interface between a dedicated telephone connected to a PCX and a commercial PIM (e.g. Outlook).

Assistant window

The Assistant window is a display mode that includes call distribution techniques.

Call log

Archive record of the last 400 calls and their main characteristics.

Colleagues

Members of the same Supervision Group.

Conference

Telephone facility providing simultaneous conversation with two other terminals.

CTI (Computer-Telephony Integration)

Link between the PC and the telephone.

DECT (Digital European Cordless Telecommunications):

European telecom standard for digital mobile telephones.

Dialler

PIMphony module shown as an icon in the Windows notification area (Windows system tray)

Event

Situation detected by the Popup to trigger a specific action.

Filter

Characteristic associated with an event detected by the Popup to trigger a specific action.

Forwarding

Telephone action which directs all calls made to one terminal, to another terminal which is specified as receiving the forwarding.

Group

You can define Groups in the Supervision window. Groups are made of several Colleagues.

IP address

Network member computer identifier. Quadruplet of bytes presented in the format xxx.xxx.xxx.xxx, which represents on the one hand the part of the network to which the computer belongs, and on the other, the number of the computer in the network concerned. There is only one computer for one IP address.

LAN (Local Area Network)

Local network, set of computers linked together, usually by a high-speed link.

Personal directory

PIMphony module providing the telephone directory functions if PIM is absent.

PIM (Personal Information Manager)

A PIM (Personal Information Manager) is a personal organizer software that manages personal information such as e-mails, contacts, task lists, calendar dates….

Popup

PIMphony module providing the interface with the PIM installed on your PC. A window displays and gives information about the caller when an event is triggered.

Put on hold

Telephone action of putting a call on hold.

Supervision window

This window is used to display the status of the system phone sets and to execute telephone operations such as a call, transfer and interception. For SIP phones, status information are not updated in realtime as for others terminals.

TAPI

Microsoft telephone applications control software.

Phone window

PIMphony module providing the main user interface.

Transfer

Telephone action which, following an enquiry call, enables the first call to be transferred to another terminal.

Voice mailbox

Enables consultation of voice messages from the PCX.

See also

Presentation of the application


Frequently asked questions

A number of frequently asked questions, and the corresponding answers, are given below:

What is the minimum hardware configuration required to install the application?

Refer to the Installation Manual.

What is the minimum software configuration required?

Refer to the Installation Manual.

What do the icons represent in the various windows?

Depending on the screen displayed, refer to the Phone window, Call log or Personal List.

How can I make a telephone call using PIMphony?

Refer to Making a call if you want to use the Telephone module, or on Dialling using Copy and-Paste if you want to use the Dialler.

Only 6 telephone numbers are available per contact.

What is the Popup used for?

Popup provides the interface between your PIM and the application. For example, when a specified event occurs, it automatically pops up your correspondent's record stored in your PIM.

How can I configure Popup?

Use the Wizard, which will guide you through the configuration using predefined profiles.

What should I do if the application is not operating correctly?

Refer to in the event of technical problems. If problems persist contact your supplier.

What can I do in the event of bad audio quality with the IP version of PIMphony in remote access mode?

The type of codec must be changed using the Telephone tab from the PIMphony Configuration window. The G711 is preferable for a LAN link whereas the G729A or G723.1 is better for a modem link.

How is echo avoided at a remote station?

This problem is caused by the sound card and its volume configuration. To correct this problem, all of the unused volume controls must be set to zero for recording and for listening. In addition, avoid setting the reception volume too high.

See also

Presentation of the application


Tips & tricks

This section provides some hints for improved usage of PIMphony.

Installation

If PIMphony does not correctly display dialled numbers, this may be a result of a PCX configuration problem. For example, when you dial an external number that includes <outside access prefix> <external number> and the outside access prefix displays on your set display, you have an invalid PCX configuration.

To correct this, you must make the outside access prefix (TMN field) part of the PCX dialling plan.

Speed Dial: Some applications (e.g. Outlook, Word,) support the Speed Dial feature by:

number selection

and Speed Dial key combinations

Other applications also require a 'Copy' after number selection.

If your set is part of a group and PIMphony does not show incoming group calls, you need to configure the PCX to operate in "Group Call by setup" mode. (PCX Read/Write flag GrpCallWSig must be set to 0).

If PIMphony is part of an attendant group, the following configuration must be used:

PCX flag GrpCallWSig must be set to 0

PCX flag ManConnAtt must be set to 1

no supervision

The flags have the correct values in the PCX.

Only basic calls are supported for PIMphony.

In some countries, TAPI modifications must be installed to reflect the current national dialling rules (e.g. Italy, Spain). Please check the directory support on the CD.

PIMphony

To open the distant caller contact card on a transferred call, be sure that the criterium "each call" is selected in the pop-up window configuration.

The 'Duration' field in the call log is calculated by PIMphony and not retrieved from the PCX. Thus, the value in the 'Duration' field may differ from the value used by the PCX to calculate the counter reports.

Because there is always a dialog between PIMphony and the PCX through the LAN, it is recommended that you do not use the power saving mode to avoid breaking the link.

When you start PIMphony, and there are already one or more active calls on your phone, some restrictions may apply to the handling of those calls.

Visual Mailbox

If you experience difficulties in playing the Voice Mail files on your PC, be sure you have the latest sound driver installed.

PIMphony IP

For PIMphony IP, you should check the following Volume Control settings for good voice quality:

In Volume Control mode:

Mute the microphone to avoid internal echo

Adjust the Wave volume

Adjust the general Volume Control

In Recording Control mode:

Select microphone and adjust the volume

Mute (or unckeck) all the other devices

Do not amplify the microphone if this option is available in the Advanced settings

With PIMphony IP, if you have poor audio quality or unusual audio behaviour, be sure to use the latest audio driver available for your computer (you can find it on the Web site of your computer manufacturer). In most cases, an updated audio driver will solve the audio problems.

The feature 'Auto-detect' requires an IP multicast routing configuration (VLAN) to work across routers.

PIM

If the dial by name feature seems to function incorrectly for one or more contacts, check the following:

searched name appears in the correct field for a PIM contact.

associated contact has at least one phone number

When you change the PIM driver, you must rerun the pop-up wizard to ensure that it runs correctly.

PIM pop-up examples are provided on the CD. These examples are for information only and are not supported.

Pop-up configuration:

Only one action can be executed on one phone event.

For example, this means you cannot have both:

An open contact

Any store in the journal on an incoming phone call

Outlook

For smooth integration with PIMphony, please adhere to the following rules:

Name format in a contact: <first name> <last name> in field 'Full name'

Phone number format in a contact:

<Microsoft canonical format> for external numbers

<number> for internal numbers

Fields used for phone numbers and search order:

Business, Business2, Home, Home2, Assistant, Mobile, Car

Primary, Callback, Company, ISDN, Business Fax, Home Fax

Other, Other Fax, Pager, Radio, Telex, TTY/TDD

PIM supports multiple contact cards opened simultaneously: yes

Location of a new contact created by PIMphony: in the default personal folder .pst, in the 'Contact' folder

Synchronization required when adding/deleting/modifying a contact: Since Outlook 2000: No (synchronization is automatic)

PIM state when starting PIMphony: not relevant (Outlook object is started by PIMphony)

Actions required when changing the contact folder selection: Since Outlook 2000: quit PIMphony, quit Outlook, restart PIMphony

If all phone fields are empty, dialling by name will not select the associated contact.

If the dial by name feature does not seem to run correctly for one or more contacts, check that Outlook is not referencing an invalid .pst file.

To do so, select each folder containing a 'Personal Folder'.

If an error message appears in Outlook, the dial by name feature and the Pop-up window feature will not work. Correct this by deleting the invalid folder. If it is still not working, perform a complete synchronization.

It is recommended that you enter all external phone numbers in Outlook using the canonical format. Refer to the Microsoft documentation for more information on canonical format.

Example of canonical format for France:

Number that can be dialled: 0388677700

Canonical number: +33 (3) 88677700

If you delete a personal folder (.pst) in Outlook, you must open the PIM folder selection window and click OK so that the deleted folder no longer includes contacts.

If you delete a contact, you must also delete it in the 'Deleted items' folder if you want this contact to be ignored by PIMphony.

Logging in the contact card is done automatically by Outlook (if configured) when writing to the main journal. This only happens with contacts in the default contact folder (Microsoft Outlook limitation).

Since Outlook 2000: If the dial by name feature, the identification, or the contact pop-up window does not work, it may be that the internal contacts database has not been updated or it was not created.

This might be because an Outlook COM add-in is not present or not registered.

To check this, in the "Tools" menu of Outlook, select "Options..." and go to the "Other" sheet, then click "Advanced Options...". Choose the "COM Add-ins..." and check that "Alcatel PIMphony Add-in" is there and selected. If this is not the case, quit Outlook (and PIMphony) and go to the PIMphony installation directory. Check to make sure that the file "addin.dll" is there and launch "addin.reg". This will register the file addin.dll as an Outlook COM add-in. You can then restart Outlook and PIMphony.

You cannot enter an internal phone number into a contact card which has the same length as the country dialling plan (e.g. 7 digits internal phone number in US). In this case, Outlook forces the number to be an external number (canonical format). This is a limitation in Outlook.

Goldmine

For smooth integration with PIMphony, please follow these rules:

Name format in a contact: <last name> <first name> in field 'Contact'

Phone number format in a contact: <number that can be dialled> for external and internal numbers

Field used for search by phone number: Phone1

Phone number fields used with dial by name: Phone1, Phone2, Phone3

PIM supports multiple contact cards simultaneously opened: yes

Location of a new contact created by PIMphony: in the current database

Synchronization required when adding/deleting/modifying a contact: No (synchronization is automatic)

PIM state when starting PIMphony: not relevant (PIM is started by PIMphony, but must remain active)

If you want to dial from Goldmine, it is mandatory that you set the following option in Goldmine: menu 'Edit/Preferences:' field 'Modem' must be set to 'Dial number as entered' (and not to 'TAPI format').

If you manually create a new contact, you must be able to dial directly the phone numbers you enter, i.e. these numbers must include the outside access prefix, the area code, etc. They must not be in TAPI canonical format.

When using a pop-up contact card with Goldmine, it is recommended that you do not minimize Goldmine because Goldmine will open but the contact card will be hidden and you must use the 'Cascade' display option to find it..

Act tips

For smooth integration with PIMphony, please follow these rules:

Name format in a contact: <first name> <last name> in field 'Contact'

Phone number format in a contact:

<Microsoft canonical format> for external numbers in field 'Phone'

<number> for internal numbers in fields 'Ext' and <Microsoft canonical number> in field 'Phone'

Fields used for phone number resolution: only indexed fields in the following list: Phone, Ext, Mobile, Home, Alt

PIM supports multiple contact cards simultaneously opened: No

Location of a new contact created by PIMphony: in the current database

Synchronization required when adding/deleting/modifying a contact: No (synchronization is automatic)

PIM state when starting PIMphony: not relevant (PIM is started by PIMphony)

Act! only searches for phone numbers in indexed fields. By default, only the field 'Phone' is indexed. If you specify a phone number in field 'Ext', you must index it (Menu Edit/Define/Advanced).

Act! only stores canonical phone numbers in the 'Phone' field. If you want to store internal phone numbers, you must store them in the field 'Ext'.

On startup, PIMphony first starts Act! (if required). If the Act! database cannot be opened automatically (for example, when you set Act! Reminders for database maintenance), the synchronization between PIMphony and Act! cannot be performed. In this case, you have to restart PIMphony after Act! has been opened.

If a user is defined in Act! with a name and a password, you will always need to enter them when starting the application. In order to work with PIMphony, the name and password must be set in the configuration of the Act! driver because both are needed to access the Act! database. However when Act! is started, even if launched from PIMphony, the user must still enter a name and password.

Access

If you want to connect to an Access (since Access 2000) database, you must make certain Access is installed on your computer.

In an Access database, the phone numbers may be stored either in:

- Canonical format: +xx yyyyyyy without any non-numeric character, or

- A format that can be dialled (including the outside prefix).

Personal List

In the personal list the phone numbers may be stored either in:

- <Microsoft canonical format> without any non-numeric character, or

- A format that can be dialled (including the outside access prefix).

PIMphony and Microsoft Terminal Server.

If the following Outlook message displays when launching PIMphony: "The program is not registered properly. Please run setup again, you don't have appropriate permission to perform this operation,"

Change the Terminal Server Permission Compatibility. It must be set to "Win NT compatibility".

For issues encounter in PIMphony in Terminal servers (64-bit machines) with standard users:

  1. Open registry (regedit.exe). Take the back up of registry , follow the Microsoft KB article 322756 (http://support.microsoft.com/kb/322756/) for how to back up and restore the registry in Windows

  2. Go to the registry key “HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Alcatel”

  3. Right click on “Alcatel” key and click on “Permissions…” option and provide “Full Control” to Users in “Permissions for Users” section

  4. Go to the registry key "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Telephony"

  5. Right click on “Telephony” key and click on “Permissions…” option and provide “Full Control” to Users in “Permissions for Users” section

PIMphony and mobility

Windows XP Service Pack 1 must be installed to use the roaming on a Windows XP PC. See Microsoft Knowledge Base Article Q307401: "Handle leak may prevent profiles from unloading Windows XP".

It is not recommended for the same user to log on to two or more computers at the same time, because PIMphony IP will not work correctly, and you may encounter problems with PIMphony data files.

When using roaming, be sure you synchronize the time on all PC's. You can use a PC as time server, and all other PC's must synchronize using the following command:

>net time \\timesrv /set /yes

with timesrv = time server PC name.

The best practice is to add the command in the user logon script.

When using roaming, the "Autostart" functionality of the application is configured in an identical way for all users of the machine. If this functionality is not activated at installation, the only way to start the application automatically is to add a shortcut in the "Start Menu" folder.


Known issues

PIMphony

If you call an external number and use a T1 CSS link, the call shows in your application a few seconds later.

The call is actually going on during this delay but it is impossible to hang up.

Outlook

If the dial by name and identification features do not work (Outlook) or if you receive the following error: "Run-time error '429': ActiveX component cannot create object", you may have an Office Automation problem, referenced by Microsoft under ID Q244264.

This error occurs when the requested Automation object could not be created by COM, and is therefore unavailable to Visual Basic.

This error is typical of some computers.

In Outlook, if you have two contacts with the same phone number: one in canonical format and the other one in a format that you can directly dial,, only the contact with the canonical format is opened.

To dial an internal number in Outlook 2002, you have to install the Hot Fix for Microsoft Knowledge Base article number Q817270. The fix requires:

Windows Installer version 2
to check the version, call "msiexec.exe" from the command prompt.

Outlook 2002 SP2 (build 4219)
to check use "Help-About" within Outlook.

If you close Outlook 2003 before you close PIMphony, the Outlook icon remains visible in the notification area of the Windows task bar, but the icon can't be used anymore to open Outlook. This is the normal operation mode of Microsoft Outlook 2003.

Start Outlook 2003 with BCM before you start PIMphony, you will then avoid the problems described by Microsoft in the knowledge base under the following references: KB840778 and KB836558.

The BCM's operation mode does not allow any automatic synchronization of its contacts with PIMphony.

You will have to force a manual synchronization if you have added a contact card, or changed the name or phone numbers of a contact card.

If the following error message "Critical Error: File \ Connec00.etf doesn't exist anymore. Popup can't function correctly without it" pops up, while opening Outlook-64bit, please follow the below steps to solve the issue:

  1. Close both Outlook and PIMphony

  2. Open registry (regedit.exe). Take the back up of registry , follow the Microsoft KB article 322756 (http://support.microsoft.com/kb/322756/) for how to back up and restore the registry in Windows

  3. Go to the registry key “HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Alcatel”

  4. Right click on “Alcatel” key and click on “Permissions…” option and provide “Full Control” to Users in “Permissions for Users” section

Goldmine

With Goldmine on a slow PC, you may experience character losses when dialling quickly in the dial by name field. This is a Microsoft Windows bug identified under ID: Q102576. There is no known work around except typing characters more slowly or using a faster PC.

Lotus Notes

If after a Lotus Notes upgrade (from V4.x to V5.x), you get the following error message when you start PIMphony:

"Run Time Error 372: Failed to load control "Softkey" from Softbut.ocx. The version of Softbut.ocx may be outdated. Make sure you are using the version of the control that was provided with your application."

The problem is due to a Lotus Notes upgrade that cancels the registration of oleaut32.dll from the system, so PIMphonycan no longer be used correctly.

This problem has been documented by Microsoft; see MSDN Q185599 Knowledge Base Articles. To correct the problem use the Q185599 article resolution, or uninstall and reinstall the PIMphony application.

Complementary information

Remark on the installation

When you install the application, the installation program might require the installation of Microsoft .NET Framework 1.1 At the end of the installation of .NET Framework 1.1, you are asked to reboot your PC. Following this reboot, you will have to launch again the installation program. This is not automatic.

About Microsoft .NET Framework 1.1 Service Pack 1

If you have Microsoft .NET Framework 1.1 Hotfix (KB886904) installed, please remove it and install .NET Framework 1.1 Service Pack 1.


In the event of technical problems

I f the application is not operating correctly after installation:

  1. Check the hardware installation by referring to the installation manual.

  2. Check the Windows telephone configuration (in the Control Panel, Telephony folder).

  3. Check your network is operating correctly.

If, after several attempts, the application is still not working:

Contact your dealer.

If the network is unavailable:

Unavailable_Network

See also

Presentation of the application

Installation Manual


Copyright

©ALE International 2016. All rights reserved.

Warning: This software is protected by the copyright law and by international agreements. Any partial or complete reproduction or distribution of this software, by any means whatsoever, is strictly prohibited. Infringement of these conditions shall constitute a criminal offence, and offenders shall be liable to prosecution and punishment, under the terms of the law.